Sync with portage [Sun Nov 28 19:39:41 MSK 2021].

akrasnyh 2145
root 2 years ago
parent af78bef547
commit 1c55323fe2

Binary file not shown.

Binary file not shown.

@ -13,7 +13,7 @@ HOMEPAGE="https://apps.kde.org/kontrast/"
LICENSE="GPL-3+"
SLOT="5"
KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
KEYWORDS="amd64 arm64 ~riscv ~x86"
IUSE=""
DEPEND="

Binary file not shown.

@ -5,6 +5,7 @@ DIST awscli-1.22.10.tar.gz 2115079 BLAKE2B 72945d915fb932ff2d243eeca8c21976ecbf2
DIST awscli-1.22.11.tar.gz 2116193 BLAKE2B c4e89882e5a8b37172f06ecf9cf911a0598b8a745390d9e73d11ec608d512bdd4831486f6a5dd03774c1df75f23eaec6bd36dd44a9efbb44f3a599c669e48363 SHA512 8c405704e6992996d46711e1410822a5a73f0fdcd1aaa1dddeef37b27863b1378034bd26009ebdd7f986ff120da3b98556819bebd3598279de86a5b845d8f4f3
DIST awscli-1.22.12.tar.gz 2118104 BLAKE2B f5622b5b2c226e7b95a13c9c268853cdf40ed32f78db9e7ceb5a72197c4dbc60af8d4ef67289d10b9705a91802597a186c55ff0c82c8d3489c1a288fca84ea84 SHA512 08135ad41cbba6f8170acd051734314547bf2892835a9d1c0ee878b398e37af573b365910bde6d739aec11fd9ad8d34331248a5ee2d5811424750eaa86b121d5
DIST awscli-1.22.13.tar.gz 2119944 BLAKE2B acbd93c02dfba99993fa181aae01c5c57a322dddfe8e09e7ed08c2aedb7579aac3f570142981f480db14e3c049c59866bae66f5930b6808711f1f47c0d8c9643 SHA512 1fc04c8a303701fa2f0ab48fd6b6a436128a35f314bb2311cc8a6930bcb2b289573a00f17d2ad4ec52985378995ddf5088f6e2251ada5263997ab0259c583eb1
DIST awscli-1.22.14.tar.gz 2120655 BLAKE2B ffba1bea0574830e6eb3e343b5d83a308e19b557ddde981066b93008062c0702bfba47b7ff7ddc86d4f148606cce8089e81525c54a11eef23906ef1df6303af7 SHA512 0585d8f4842b23065a14cd1f73a7ee810d705ab4d2480591ebf13b640d7501ec784fb2000cdc685cbc6c4e996b7d68763ed79d2122bd61e07a0f97822c925d12
DIST awscli-1.22.5.tar.gz 2111679 BLAKE2B 970e472e8de43664d060023fdab9f54ce848c5655d8aa417efeae1b1efb52989fd021817521db9dc9cd64580cabbf0c30f3d0178034bdb1edf41feebbc690f46 SHA512 9177fe9da0fb8e9e28777bbf8f2c3fe089a08851b57a49fecefab43417fff187584638d17394289bf6df3d18d9052fd958bd3fbc8064327120af04a0cbe30494
DIST awscli-1.22.6.tar.gz 2112080 BLAKE2B 5fffb3d5d0cbbcea813114bbfc89df64f58e83135c88ab914ac4327185310075e7e19e34a51e6cf85f9d2e804fb75cc69e2f7967ea69c67ff1987e054b5756c1 SHA512 3bf7cf59f947708c0d8e6ec992498d0e58a1a2ccb6a330bced0e2eece9989ef9097e08034354a6c265da08346e37611862f3dbb96d35d9787d3013f6220b7de2
DIST awscli-1.22.7.tar.gz 2112524 BLAKE2B f3aeaa85d8be945ee2c64e45b1cd74eaa89cd035c4650f2a35144c113c8b073a7856e680fd1c67ee54f382ab4ad593cbe4752b53b2637b3c587ecdfa22b6819e SHA512 07c96caddb099e507b0e9b75dac79249a8b26a1ca43a3be842079dfe8af399647dec5c330e6b75059955c132b0c5e179cac2edb2b814c51b47a7777d7f7d5373

@ -0,0 +1,56 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
inherit bash-completion-r1 distutils-r1
DESCRIPTION="Universal Command Line Environment for AWS"
HOMEPAGE="https://pypi.org/project/awscli/"
#SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
SRC_URI="https://github.com/aws/aws-cli/archive/${PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/aws-cli-${PV}"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
# botocore is x.(y+1).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 1)).$(ver_cut 3-)"
RDEPEND="
>=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
dev-python/colorama[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/rsa[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.4.0[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
"
distutils_enable_tests --install pytest
src_prepare() {
# do not rely on bundled deps in botocore (sic!)
find -name '*.py' -exec sed -i \
-e 's:from botocore[.]vendored import:import:' \
-e 's:from botocore[.]vendored[.]:from :' \
{} + || die
distutils-r1_src_prepare
}
python_test() {
distutils_install_for_testing
# integration tests require AWS credentials and Internet access
epytest tests/{functional,unit}
}
python_install_all() {
newbashcomp bin/aws_bash_completer aws
insinto /usr/share/zsh/site-functions
newins bin/aws_zsh_completer.sh _aws
distutils-r1_python_install_all
rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
}

@ -1 +1,2 @@
DIST sysklogd-2.2.3.tar.gz 441630 BLAKE2B e23b95aea9d98effc6a88dd14c4fafa358274ea839e7a07ab51bd0257fe0398a1ba6b629c4711d679fffaf03f04c177454f536bdd78dcad2b9f2ae36ff91138e SHA512 db1675256f0f0b0874e2e6a68fb086294bef1d6d3f3e9a6470f8d797ae504b2ab03ed23dc2753c8108a230c3f617e67c4a71e099a2ffeb7ffc8a0efdd07e8d17
DIST sysklogd-2.3.0.tar.gz 441168 BLAKE2B fa2ec9975d51bcb26d7acc88ab02e211453fc7e6d722ec6d38543a20833ae9c49b9a274d323e7a32deb82ca9c38025947e25b15424084a0ce345410a2e686a4d SHA512 7a16dd3f45a71015ad055e64aa62f4f94b0a8aa739f407c03376241cbc16ff764a768a698362cb428d150b169934798b774622b330903b287f9af5dd846775fc

@ -0,0 +1,84 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic systemd toolchain-funcs
DESCRIPTION="Standard log daemons"
HOMEPAGE="https://troglobit.com/sysklogd.html https://github.com/troglobit/sysklogd"
if [[ "${PV}" == *9999 ]] ; then
inherit autotools git-r3
EGIT_REPO_URI="https://github.com/troglobit/sysklogd.git"
else
SRC_URI="https://github.com/troglobit/sysklogd/releases/download/v${PV}/${P}.tar.gz"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
fi
LICENSE="BSD"
SLOT="0"
IUSE="logger logrotate systemd"
RESTRICT="test"
DEPEND="
logger? (
!<sys-apps/util-linux-2.34-r3
!>=sys-apps/util-linux-2.34-r3[logger]
)
"
RDEPEND="${DEPEND}
logrotate? ( app-admin/logrotate )"
DOCS=( ChangeLog.md README.md )
pkg_setup() {
append-lfs-flags
tc-export CC
}
src_prepare() {
default
[[ "${PV}" == *9999 ]] && eautoreconf
}
src_configure() {
local myeconfargs=(
--disable-static
--runstatedir="${EPREFIX}"/run
$(use_with logger)
$(use_with systemd systemd $(systemd_get_systemunitdir))
)
econf "${myeconfargs[@]}"
}
src_install() {
default
insinto /etc
doins syslog.conf
keepdir /etc/syslog.d
newinitd "${FILESDIR}"/sysklogd.rc10 sysklogd
newconfd "${FILESDIR}"/sysklogd.confd3 sysklogd
if use logrotate ; then
insinto /etc/logrotate.d
newins "${FILESDIR}"/sysklogd.logrotate sysklogd
sed 's@ -r 10M:10@@' -i "${ED}"/etc/conf.d/sysklogd || die
fi
find "${ED}" -type f -name "*.la" -delete || die
}
pkg_postinst() {
if ! use logrotate && [[ -n ${REPLACING_VERSIONS} ]] && ver_test ${REPLACING_VERSIONS} -lt 2.0 ; then
elog "Starting with version 2.0 syslogd has built in log rotation"
elog "functionality that does no longer require a running cron daemon."
elog "So we no longer install any log rotation cron files for sysklogd."
fi
if [[ -n ${REPLACING_VERSIONS} ]] && ver_test ${REPLACING_VERSIONS} -lt 2.1 ; then
elog "Starting with version 2.1 sysklogd no longer provides klogd."
elog "syslogd now also logs kernel messages."
fi
}

Binary file not shown.

@ -9,7 +9,7 @@ SRC_URI="https://0xacab.org/liberate/backupninja/-/archive/backupninja_upstream/
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
RDEPEND="dev-util/dialog"
DEPEND=""

Binary file not shown.

@ -18,7 +18,7 @@ HOMEPAGE="https://apps.kde.org/dolphin_plugins/"
LICENSE="GPL-2" # TODO: CHECK
SLOT="5"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
KEYWORDS="amd64 arm64 ~ppc64 ~x86"
IUSE=""
DEPEND="

Binary file not shown.

@ -1,4 +1 @@
DIST conmon-2.0.26.tar.gz 104681 BLAKE2B fc8369258a414d3a169b64019199c604d1d8bded70d5a38230f243053dcf09c6f9aee931b328913e6cbbe3c495aab4894647897f40f537a79eb587ecee58517a SHA512 5cbb66053fb48b514f93b3be4d4ac428f9eea8a3e1452b4df232250e9cd01202ecb7477c05e1e4dfb21595f2d1881be35cdea9b23f43c02bb7c0e67a3161396e
DIST conmon-2.0.27.tar.gz 106647 BLAKE2B f242b1be4f86b18ca94dade3d1f5522d1ae1951f4b7abf7e563e1a93472c2a673cd48a136fdff12b410ebaa46694b70ffbf173fc37a3bbefb03891452c22dfae SHA512 2bc389fa3963cbb612669ec1d288adc888d7ac1de2b9bf483f18e0f62220775327ebcb771bfa7236815ef7247adb8fc6b8ae38748f7a383ec9590e3ee5769b65
DIST conmon-2.0.29.tar.gz 160628 BLAKE2B 9cff934a6774ea51476624b9c56bc0dc71eeb9383d48fbb3d6b04ad7be462e8cb792e72cf9d98f9ca54eff274f1a3c2bbad3f8d8cf53fe0d2e259e4f6d93ed7e SHA512 0eec0322ee209efacae93b6e96c3bea2468a309d6211c8c047b49fa3bd8b5d1a198a16b3ff1ffe629dc37a12e2e0db1979e8876833c5cef0f69be35d4be8b550
DIST conmon-2.0.30.tar.gz 161285 BLAKE2B c4e01759d819d3dff94b9ae09caa72b6f664e49d907d3a1be9fb4a0e1f782fad29a7cd7c89703e861f4aa6d7955996386f81460f19f22be2889c4f88c34536cb SHA512 2451e441913925f8423385b83e97630e980948a9bd57ae8800889016c4412a26bed598825d3c034c3edcecbab66c38417f55ad3866d3c2c98cada6acce2b2d16

@ -1,51 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit toolchain-funcs
EGIT_COMMIT="0e155c83aa739ef0a0540ec9f9d265f57f68038b"
DESCRIPTION="An OCI container runtime monitor"
HOMEPAGE="https://github.com/containers/conmon"
SRC_URI="https://github.com/containers/conmon/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64"
IUSE="systemd"
RESTRICT="test"
RDEPEND="dev-libs/glib:=
systemd? ( sys-apps/systemd:= )"
DEPEND="${RDEPEND}
dev-go/go-md2man"
S="${WORKDIR}/${PN}-${EGIT_COMMIT}"
src_prepare() {
default
if ! use systemd; then
sed -e 's| $(PKG_CONFIG) --exists libsystemd-journal | false |' \
-e 's| $(PKG_CONFIG) --exists libsystemd | false |' \
-i Makefile || die
fi
sed -e 's|make -C tools|$(MAKE) -C tools|' -i Makefile || die
sed -e 's|^GOMD2MAN = .*|GOMD2MAN = go-md2man|' -i docs/Makefile || die
}
src_compile() {
tc-export CC
emake GIT_COMMIT="${EGIT_COMMIT}" \
all
}
src_install() {
emake DESTDIR="${D}" \
PREFIX="/usr" \
install
dodir /usr/libexec/podman
ln "${ED}/usr/"{bin,libexec/podman}/conmon || die
dodoc README.md
}

@ -1,48 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit toolchain-funcs
DESCRIPTION="An OCI container runtime monitor"
HOMEPAGE="https://github.com/containers/conmon"
SRC_URI="https://github.com/containers/conmon/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~ppc64"
IUSE="systemd"
RESTRICT="test"
RDEPEND="dev-libs/glib:=
systemd? ( sys-apps/systemd:= )"
DEPEND="${RDEPEND}
dev-go/go-md2man"
src_prepare() {
default
if ! use systemd; then
sed -e 's| $(PKG_CONFIG) --exists libsystemd-journal | false |' \
-e 's| $(PKG_CONFIG) --exists libsystemd | false |' \
-i Makefile || die
fi
sed -e 's|make -C tools|$(MAKE) -C tools|' -i Makefile || die
sed -e 's|^GOMD2MAN = .*|GOMD2MAN = go-md2man|' -i docs/Makefile || die
}
src_compile() {
tc-export CC
emake GIT_COMMIT="v${PV}" \
all
}
src_install() {
emake DESTDIR="${D}" \
PREFIX="/usr" \
install
dodir /usr/libexec/podman
ln "${ED}/usr/"{bin,libexec/podman}/conmon || die
dodoc README.md
}

@ -1,48 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit toolchain-funcs
DESCRIPTION="An OCI container runtime monitor"
HOMEPAGE="https://github.com/containers/conmon"
SRC_URI="https://github.com/containers/conmon/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~ppc64"
IUSE="systemd"
RESTRICT="test"
RDEPEND="dev-libs/glib:=
systemd? ( sys-apps/systemd:= )"
DEPEND="${RDEPEND}
dev-go/go-md2man"
src_prepare() {
default
if ! use systemd; then
sed -e 's| $(PKG_CONFIG) --exists libsystemd-journal | false |' \
-e 's| $(PKG_CONFIG) --exists libsystemd | false |' \
-i Makefile || die
fi
sed -e 's|make -C tools|$(MAKE) -C tools|' -i Makefile || die
sed -e 's|^GOMD2MAN = .*|GOMD2MAN = go-md2man|' -i docs/Makefile || die
}
src_compile() {
tc-export CC
emake GIT_COMMIT="v${PV}" \
all
}
src_install() {
emake DESTDIR="${D}" \
PREFIX="/usr" \
install
dodir /usr/libexec/podman
ln "${ED}/usr/"{bin,libexec/podman}/conmon || die
dodoc README.md
}

@ -40,7 +40,7 @@ src_compile() {
src_install() {
emake DESTDIR="${D}" \
PREFIX="/usr" \
PREFIX="${EPREFIX}/usr" \
install
dodir /usr/libexec/podman
ln "${ED}/usr/"{bin,libexec/podman}/conmon || die

@ -1,3 +1,2 @@
DIST fs-uae-launcher-3.1.26.tar.gz 9656516 BLAKE2B 1b8d12ef91631dedf412976e81529ac7138b7f688ad6ae1ad55bfd3625590ee00aab89d229d2aa64eec577d291a6e634362c557428534c355fdb39e878f40253 SHA512 0e4e542bebfe2d8f862005c016fe70319dd6c5e1e413be9b0ce0421bb95253ba6eb92337989cc86210094b9b02a6ad86da4725f1a65d50673703fa6c6cb58f37
DIST fs-uae-launcher-3.1.43.tar.xz 7785544 BLAKE2B 504d97dbc2bff7bc6abe065854e51b1ce51d40aec582586473629a77626c750510b4f885d3679a734d2dc7c889e9b18f41c27ea924ea7134641de2df16a0b404 SHA512 df19c4a3897b089daaee869226dfe2adfa990e0f8e30772e482e27a21c64f7d9d3369e8d6b0c72ac6119e207e9978f2052a7d681fe4f40b99e5ec48161e2a0fe
DIST fs-uae-launcher-3.1.46.tar.xz 7820988 BLAKE2B 9c6bb28c00a41f71067d13ec40f947bf20d447dcc32b3d1e9053204b70699bc6b8ad89776421a8feb6ecad325b320e4b11e32abd65002650583c14890a41f85c SHA512 f96d01a0e2f985e02238fde482457d1859e04bde3c5a43dfbabc47c57ae7fea89970174931d95eb1679fc1ef6be0d52bef40e33f8d66e79fd0327af863290c06
DIST fs-uae-launcher-3.1.63.tar.xz 7718940 BLAKE2B e1e6102ce6f3e0a5b3f7429ac5894a50b42f2ee26d3b8bf4fec5b39fa199a28d12ebd056ac0c372ce38f78c820dc0c3dec4c4af0918f3a7e5f4b05f944791afb SHA512 d363512c4930f0a245d5333bb5324264244ffc0eb3a39e4ec419cb4861ca9bf5e1f2084405b7f8757f86f0ed9754dbbbbe0aab3391b04898a7d3dc2621346849

@ -1,70 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8,9} )
DISTUTILS_SINGLE_IMPL=1
DISTUTILS_USE_SETUPTOOLS=no
inherit distutils-r1 xdg
DESCRIPTION="PyQt5-based launcher for FS-UAE"
HOMEPAGE="https://fs-uae.net/"
SRC_URI="https://fs-uae.net/files/FS-UAE-Launcher/Stable/${PV}/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc64"
IUSE="lha"
RESTRICT="test" # The test files are just boilerplate.
RDEPEND="
app-emulation/fs-uae
$(python_gen_cond_dep '
dev-python/PyQt5[${PYTHON_USEDEP},declarative,gui,network,opengl,widgets]
dev-python/pyopengl[${PYTHON_USEDEP}]
dev-python/requests[${PYTHON_USEDEP}]
lha? ( dev-python/python-lhafile[${PYTHON_USEDEP}] )
')
"
BDEPEND="
sys-devel/gettext
"
PATCHES=(
"${FILESDIR}"/${PN}-3.0.0-ROMs.patch
)
python_compile_all() {
emake
}
python_install() {
local dir=${EPREFIX}/usr/share/${PN}
distutils-r1_python_install --install-lib="${dir}" --install-scripts="${dir}"
}
python_install_all() {
dosym ../share/${PN}/${PN} /usr/bin/${PN}
emake install-data DESTDIR="${D}" prefix="${EPREFIX}"/usr
mv "${ED}"/usr/share/doc/{${PN},${PF}} || die
}
pkg_postinst() {
elog "Some important information:"
elog
ewarn " - Do not use QtCurve, it will crash PyQt5!"
elog
elog " - By default, FS-UAE creates its directories under Documents/FS-UAE."
elog " If your Documents directory is not configured according to the XDG"
elog " user diretory spec, ~/FS-UAE will be used as a fallback."
elog
elog " - You can override this by putting the path to the desired base"
elog " directory in a special config file. The config file will be read"
elog " from ~/.config/fs-uae/base-dir by both FS-UAE and FS-UAE Launcher"
elog " if it exists."
elog
elog " Alternatively, you can start FS-UAE and/or FS-UAE Launcher with"
elog " --base-dir=/path/to/desired/dir"
}

@ -1,3 +1,2 @@
DIST fs-uae-3.1.35.tar.gz 4817547 BLAKE2B 5f75a1e262ba8d642401a03ac5b2494be37b8bab8f014a48208cc6e0b2e33373a7ce6146065f41404d8fcbd60fe71582319abe51521336c2d7c04668c3adacd9 SHA512 96bec936f867fc42eb9f61058887c027da0bab1c8df196ab62a714b1f28c92aafe6c4a61d441e5c7b5d8aee28c90d68812d0f6049c610e2ef9eebdd7e3edf013
DIST fs-uae-3.1.48.tar.xz 3562468 BLAKE2B 99bcf1a7b4def97802ee1ce243aef7687d38c9e343e9c730f929e632916f3f36d6089ad289efda445c904f8fda1b75592f255fa77ee2b2687b0d32a95c996857 SHA512 05e56043f03225fd1ae71d1deade8807a8ae443068087914167fded8cc4a26cf8bb4209b5af3c609d41d001c42033ded7560e9ec642cb2ecfee99025c1f54c2f
DIST fs-uae-3.1.59.tar.xz 3635036 BLAKE2B bf2723a2e9d478b1bb10cf724d3e4443abfe89a415a7956a64f7566d53d2432a59105bb8b6d3de4a2cffd0527d9ce554af0b177c1d49f273599ed97bbb4c9cd5 SHA512 346c255bf8faee14f28cf2a45f2cb4b1e8bae72be32c4fb7443db856de81265af634c566b0e6904ce924f51a93acbb8ef3a2bd25281285172619e73673171b82
DIST fs-uae-3.1.62.tar.xz 3632040 BLAKE2B 7d38a7bedca979c88d1c7566ae3a3c3df8009b2c02aec28753b6dc72d27049de37c5c0d3436fe5e8309511e9710ae3238f6f2d7eea36285acf4807294621bce5 SHA512 bafa9b012042c2b973ea0e5aaac88404f00bdfac85a2239513088d5432bda631242244f66f72b5879794815167409b127ee0a9dd320dd90ba8dac16019adbb28

@ -1,114 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit autotools xdg
DESCRIPTION="Integrates the most accurate Amiga emulation code available from WinUAE"
HOMEPAGE="https://fs-uae.net/"
SRC_URI="https://fs-uae.net/files/FS-UAE/Stable/${PV}/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc64"
IUSE="fmv glew +jit"
RDEPEND="
dev-libs/glib:2
media-libs/libpng:0=
media-libs/libsdl2[opengl,X]
media-libs/openal
sys-libs/zlib
virtual/opengl
x11-libs/libdrm
x11-libs/libX11
fmv? ( media-libs/libmpeg2 )
glew? ( media-libs/glew:0= )
"
DEPEND="
${RDEPEND}
x11-base/xorg-proto
"
BDEPEND="
app-arch/zip
sys-devel/gettext
virtual/pkgconfig
"
PATCHES=(
"${FILESDIR}"/${PN}-3.0.0-libmpeg2.patch
"${FILESDIR}"/${PN}-3.0.0-Xatom.h.patch
"${FILESDIR}"/${PN}-3.1.35-deepbind.patch
)
src_prepare() {
default
AT_NO_RECURSIVE=1 eautoreconf
# Ensure bundled libraries are not used. Udis86 is unused
# regardless. Only FLAC headers are bundled and the library is never
# used? Lua is bundled but differs from upstream. We keep the
# default of disabling the Lua feature anyway as it is unfinished.
rm -r libmpeg2/ libudis86/ || die
}
src_configure() {
# Qt and Udis86 are unused.
econf \
--enable-a2065 \
--enable-action-replay \
--enable-aga \
--enable-arcadia \
--enable-bsdsocket \
--enable-caps \
--enable-cd32 \
--enable-cdtv \
--enable-codegen \
--enable-dms \
--enable-drivesound \
--enable-fdi2raw \
--enable-gfxboard \
--disable-lua \
--enable-netplay \
--enable-ncr \
--enable-ncr9x \
--enable-parallel-port \
--enable-prowizard \
--enable-savestate \
--enable-scp \
--enable-serial-port \
--enable-slirp \
--enable-softfloat \
--enable-qemu-cpu \
--enable-qemu-slirp \
--enable-uaenative \
--enable-uaenet \
--enable-uaescsi \
--enable-uaeserial \
--disable-udis86 \
--enable-vpar \
--enable-xml-shader \
--enable-zip \
--without-cef \
--with-glad \
--without-qt \
$(use_enable jit) \
$(use_enable jit jit-fpu) \
$(use_with fmv libmpeg2) \
$(use_with glew)
}
src_install() {
default
# Needed for QEMU-UAE.
insinto /usr/include/uae
doins src/include/uae/{api,attributes,log,ppc,qemu,types}.h
}
pkg_postinst() {
xdg_pkg_postinst
elog "Install app-emulation/fs-uae-launcher for a better graphical interface."
}

@ -1,3 +1 @@
DIST hercules-3.10.tar.gz 2608321 BLAKE2B df6dd9c93531ee3d68efbfad5b0152ef984e1804e211861e86ea5f7b271081abbd29664d4e97d0e887af10315549bdd7e890ec741baa7b69336f1f08be63c6cf SHA512 de8b3e2e90fdb745dea9c8ce4dbe506de2aba3bf08b3e937605798e6a8020576a949d6ea3496b7c42bd23d617fc96648d2d8ec05a66e8ed174ce46a3bc31c5d1
DIST hercules-3.12.tar.gz 2569617 BLAKE2B e6b6dc2406bc198e25ddcbdc5dbf141e52cd15ddd690711fdd4ed69ca5baaddd582c437e28aa7793ac667c03f7617adb3bdf3a00cc7c3a28e3f28984f665eb9a SHA512 81d6e151c1c8534753f2db532a0a7bd36fb3806c1ffbab5d6e4a9af3eecea46b95105c37574910714dcfc0fe9b74a72140d573099c24fd44021159ce697414ef
DIST hercules-3.13.tar.gz 2640742 BLAKE2B 1a84ceab346a591c494fb133d1654ffa73e44f73183564167a74f68eb3e5f3f187cc2f66cef444b951645fa85c111da261b9dd8907594ccb770f5b743f891649 SHA512 76f75ef3f1eb10c0fac0d6fa1ab9809b8d1dfe3deccbcd69366b05ee58f1ecb8ea0f387f7201ab4722b121478676f00e707ad27b6ecf1980fb09e900de63d718

@ -1,41 +0,0 @@
From 7d3255a18ad845953cc8083371e8623e771ad4f5 Mon Sep 17 00:00:00 2001
From: Mike Frysinger <vapier@gentoo.org>
Date: Tue, 27 Aug 2013 12:25:49 -0400
Subject: [PATCH] sha: fix strict aliasing warnings
sha256.c:492:3: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
sha256.c:784:2: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
sha256.c:785:2: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
Signed-off-by: Mike Frysinger <vapier@gentoo.org>
---
crypto/sha256.c | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/crypto/sha256.c b/crypto/sha256.c
index 1a6a243..b1e90b4 100644
--- a/crypto/sha256.c
+++ b/crypto/sha256.c
@@ -489,7 +489,7 @@ SHA256_Final(u_int8_t digest[], SHA256_CTX *context)
*context->buffer = 0x80;
}
/* Set the bit count: */
- *(u_int64_t *)&context->buffer[SHA256_SHORT_BLOCK_LENGTH] = context->bitcount;
+ memcpy (&context->buffer[SHA256_SHORT_BLOCK_LENGTH], &context->bitcount, 8);
/* Final transform: */
SHA256_Transform(context, context->buffer);
@@ -781,8 +781,8 @@ SHA512_Last(SHA512_CTX *context)
*context->buffer = 0x80;
}
/* Store the length of input data (in bits): */
- *(u_int64_t *)&context->buffer[SHA512_SHORT_BLOCK_LENGTH] = context->bitcount[1];
- *(u_int64_t *)&context->buffer[SHA512_SHORT_BLOCK_LENGTH+8] = context->bitcount[0];
+ memcpy (&context->buffer[SHA512_SHORT_BLOCK_LENGTH], &context->bitcount[1], 8);
+ memcpy (&context->buffer[SHA512_SHORT_BLOCK_LENGTH+8], &context->bitcount[0], 8);
/* Final transform: */
SHA512_Transform(context, context->buffer);
--
1.8.3.2

@ -1,53 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic
DESCRIPTION="Hercules System/370, ESA/390 and zArchitecture Mainframe Emulator"
HOMEPAGE="http://www.hercules-390.eu/"
SRC_URI="http://downloads.hercules-390.eu/${P}.tar.gz"
LICENSE="QPL-1.0"
SLOT="0"
KEYWORDS="~alpha amd64 ppc sparc x86 ~x64-macos"
IUSE="bzip2 custom-cflags +suid"
RDEPEND="bzip2? ( app-arch/bzip2 )
net-libs/libnsl:0=
sys-libs/zlib"
DEPEND="${RDEPEND}"
PATCHES=(
"${FILESDIR}"/${PN}-3.09-aliasing.patch
)
src_prepare() {
default
# The local modules need local libs, so when doing a parallel install
# of the modules and libs breaks during relinking. Force the libs to
# install first, and then the modules that use those libs. #488126
echo "install-modexecLTLIBRARIES: install-libLTLIBRARIES" >> Makefile.in || die
}
src_configure() {
use custom-cflags || strip-flags
ac_cv_lib_bz2_BZ2_bzBuffToBuffDecompress=$(usex bzip2) \
econf \
$(use_enable bzip2 cckd-bzip2) \
$(use_enable bzip2 het-bzip2) \
$(use_enable suid setuid-hercifc) \
--enable-custom="Gentoo ${PF}.ebuild" \
--disable-optimization
}
src_install() {
default
insinto /usr/share/hercules
doins hercules.cnf
dodoc README.* RELEASE.NOTES
docinto html
dodoc -r html
}

@ -1,53 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic
DESCRIPTION="Hercules System/370, ESA/390 and zArchitecture Mainframe Emulator"
HOMEPAGE="http://www.hercules-390.eu/"
SRC_URI="http://downloads.hercules-390.eu/${P}.tar.gz"
LICENSE="QPL-1.0"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~x64-macos"
IUSE="bzip2 custom-cflags +suid"
RDEPEND="bzip2? ( app-arch/bzip2 )
net-libs/libnsl:0=
sys-libs/zlib"
DEPEND="${RDEPEND}"
PATCHES=(
"${FILESDIR}"/${PN}-3.09-aliasing.patch
)
src_prepare() {
default
# The local modules need local libs, so when doing a parallel install
# of the modules and libs breaks during relinking. Force the libs to
# install first, and then the modules that use those libs. #488126
echo "install-modexecLTLIBRARIES: install-libLTLIBRARIES" >> Makefile.in || die
}
src_configure() {
use custom-cflags || strip-flags
ac_cv_lib_bz2_BZ2_bzBuffToBuffDecompress=$(usex bzip2) \
econf \
$(use_enable bzip2 cckd-bzip2) \
$(use_enable bzip2 het-bzip2) \
$(use_enable suid setuid-hercifc) \
--enable-custom="Gentoo ${PF}.ebuild" \
--disable-optimization
}
src_install() {
default
insinto /usr/share/hercules
doins hercules.cnf
dodoc README.* RELEASE.NOTES
docinto html
dodoc -r html
}

@ -11,7 +11,7 @@ SRC_URI="http://downloads.hercules-390.eu/${P}.tar.gz"
LICENSE="QPL-1.0"
SLOT="0"
KEYWORDS="~alpha amd64 ~ppc sparc x86 ~x64-macos"
KEYWORDS="~alpha amd64 ppc sparc x86 ~x64-macos"
IUSE="bzip2 custom-cflags +suid"
RDEPEND="

Binary file not shown.

@ -1,2 +1 @@
DIST ibus-m17n-1.4.7.tar.gz 493889 BLAKE2B 48a9b2ff1590d790d763014c0c9e5c08bf7ba84361a922aa71ab9cdb5b5e4c69fc5608a27c19eadc83578fdaafc3375c5bcedc1d81e2743a994d622042ffd436 SHA512 b011d4ee63a538a51f67012932d872fc2d527c6f3e5dd1642b7e70d3a32164532bc2ab69fb794eb985617b2698074af9079dac7991b5a2a30828595b129cce40
DIST ibus-m17n-1.4.8.tar.gz 494516 BLAKE2B ec4cb36d465e25a6e0e334243e7df83444846f9109ef2142daea4949ddaa7cdf5290fc2749a978f7b8fb6d49bb080b2b826726fdc97e26bc722b019c93f13882 SHA512 3e808ffc3b7d03a745be1009a58c8d03ecabe15478f7bf36d70b777d342ad04d0f5574bb78743bcb67ab36674d316aef3cd7070d48ef9e11d07f960d75597aec

@ -1,45 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
inherit gnome2-utils xdg
DESCRIPTION="M17N engine for IBus"
HOMEPAGE="https://github.com/ibus/ibus/wiki"
SRC_URI="https://github.com/ibus/${PN}/releases/download/${PV}/${P}.tar.gz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="gtk nls"
DEPEND="app-i18n/ibus
dev-libs/m17n-lib
gtk? ( x11-libs/gtk+:3 )
nls? ( virtual/libintl )"
RDEPEND="${DEPEND}
>=dev-db/m17n-db-1.7"
BDEPEND="sys-devel/gettext
virtual/pkgconfig"
src_configure() {
econf \
$(use_enable nls) \
$(use_with gtk gtk 3.0)
}
pkg_preinst() {
xdg_pkg_preinst
gnome2_schemas_savelist
}
pkg_postinst() {
xdg_pkg_postinst
gnome2_schemas_update
}
pkg_postrm() {
xdg_pkg_postrm
gnome2_schemas_update
}

@ -11,7 +11,7 @@ SRC_URI="https://github.com/ibus/${PN}/releases/download/${PV}/${P}.tar.gz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE="gtk nls"
DEPEND="app-i18n/ibus

@ -1,2 +1,2 @@
DIST ibus-typing-booster-2.14.12.tar.gz 10226257 BLAKE2B 5dae530a7ec425e8bd3c6009d0bdb9b8d321c8670769ddf80ba7f706d6b5140f21f184f877603de3cc6f425a4a1953c645eb177c9fa8183ecfd091ccfb32353a SHA512 09d1898c3ac8a1dc79768df7a44c33862a0b0fbb2122d184f1e8a839b8c3c71191fe5ef932f9e649ac715c8093a5c277d5783594f8defc06ecc13727b851ffa5
DIST ibus-typing-booster-2.14.13.tar.gz 10239396 BLAKE2B 1c4db896f28f3f1b58bd3071fb6f2d5c1b2b4e0fbad43568ae25d69f301d4ce408ca6c2fb829818f6981c2f212c499c1dfabc3511f09f7a9f5c3d4ae2d08a212 SHA512 4e1f1c39fea030f1f056966007127afeb5c6c098a66ecd6fe0b4ea60f302438e072d6d409ef2bee9ea5b0d1048b5a22d7e4fad9f7f509362e2af251855f6e535
DIST ibus-typing-booster-2.15.7.tar.gz 10249949 BLAKE2B da2a24f66e3e8b57a91a71d521dc8c5d271bdba226d37870f0db0fb60ed9bb8f5fa1a752c6afdddb7044bd82b334d5a53810d7a64f5dbd439aaa19ab4a29117e SHA512 012e0ea8adf4f1f6ee02df05a306c0efd30cc6dd83b09496319390aa48a700a089e52d0ca46a6f3e077e39e4903b77e5c34715d33e7bf724d03c682c53bcb5e5

@ -1,8 +1,7 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI="7"
PYTHON_COMPAT=( python3_{8..10} )
PYTHON_REQ_USE="sqlite(+)"
@ -14,7 +13,7 @@ SRC_URI="https://github.com/mike-fabian/${PN}/releases/download/${PV}/${P}.tar.g
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE=""
RESTRICT="test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"

@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
PYTHON_COMPAT=( python3_{8,9} )
PYTHON_COMPAT=( python3_{8..10} )
PYTHON_REQ_USE="sqlite(+)"
inherit gnome2-utils python-single-r1 xdg
@ -13,7 +13,7 @@ SRC_URI="https://github.com/mike-fabian/${PN}/releases/download/${PV}/${P}.tar.g
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="amd64 x86"
KEYWORDS="~amd64 ~x86"
IUSE=""
RESTRICT="test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"

Binary file not shown.

@ -1,2 +1 @@
DIST tuxedo-control-center_1.0.4.rpm 71316848 BLAKE2B 9368825985f292556d0c4b60000ff05d8363b300be34708c4fb2f7ac284218b48051deaa30d62707aefa28db4b54c02a2f82d12db33bf56341f257a47bde13f2 SHA512 6881069a99b97b03234fca93423c72a9a8c2eca6d619d9cfd1712055d89d174ccc79a4931941cb8d65a28c10413e0faad2a9f16ad444d29799a1cfe14b9879d8
DIST tuxedo-control-center_1.1.0.rpm 71893232 BLAKE2B f41702ba7faae2375e95a0bfe838dace738eb9f34364bac78bba405ca791c0b055ff7c7a05572172b04ec1acd87dad7e3abc29df06bba84296a8bc4c76d5d9c5 SHA512 3b98f27ada98ff77d0fc84425042dc63431fcd169ba28f5a0585589846e8dca1405a9d258bdf90f86d0e363a827bafa80e58c8dd56e94042e3b0f0d726737e05

@ -0,0 +1,25 @@
#!/sbin/openrc-run
# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
name=$RC_SVCNAME
description="TUXEDO Control Center Service"
supervisor="supervise-daemon"
command="/opt/tuxedo-control-center/resources/dist/tuxedo-control-center/data/service/tccd"
command_args="--start"
depend() {
need localmount
}
start(){
ebegin "Starting $RC_SVCNAME"
start-stop-daemon -b --start /opt/tuxedo-control-center/resources/dist/tuxedo-control-center/data/service/tccd -- --start
eend $?
}
stop() {
ebegin "Stopping $RC_SVCNAME"
/opt/tuxedo-control-center/resources/dist/tuxedo-control-center/data/service/tccd --stop
eend $?
}

@ -1,78 +0,0 @@
# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit rpm systemd xdg-utils
MY_PN="${PN/-bin/}"
DESCRIPTION="Tool to control performance, energy, fan and comfort settings on TUXEDO laptops"
HOMEPAGE="https://github.com/tuxedocomputers/tuxedo-control-center"
SRC_URI="https://rpm.tuxedocomputers.com/opensuse/15.2/x86_64/${MY_PN}_${PV}.rpm"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="-* ~amd64"
IUSE=""
RESTRICT="strip splitdebug"
DEPEND="sys-power/tuxedo-cc-wmi"
RDEPEND="${DEPEND}"
BDEPEND=""
S="${WORKDIR}"
src_prepare() {
default
rm -rf usr/lib
mkdir files
}
src_install() {
insinto /
doins -r usr opt
find . -type f -perm -a=x | while read f; do
chmod 0755 "${D}/${f}"
done
dosym ../../opt/tuxedo-control-center/tuxedo-control-center /usr/bin/tuxedo-control-center
insinto /usr/share/dbus-1/system.d/
doins opt/tuxedo-control-center/resources/dist/tuxedo-control-center/data/dist-data/com.tuxedocomputers.tccd.conf
insinto /usr/share/polkit-1/actions
doins opt/tuxedo-control-center/resources/dist/tuxedo-control-center/data/dist-data/de.tuxedocomputers.tcc.policy
systemd_dounit opt/tuxedo-control-center/resources/dist/tuxedo-control-center/data/dist-data/tccd.service
systemd_dounit opt/tuxedo-control-center/resources/dist/tuxedo-control-center/data/dist-data/tccd-sleep.service
}
pkg_config() {
ebegin "Reloading systemd"
systemctl daemon-reload
eend $?
ebegin "Enabling and starting tccd.service"
systemctl enable --now tccd
eend $?
ebegin "Enabling and starting tccd-sleep.service"
systemctl enable --now tccd-sleep
eend $?
}
pkg_postinst() {
xdg_desktop_database_update
xdg_icon_cache_update
elog
elog "You need to enable tccd and tccd-sleep service before running tuxedo-control-center"
elog
elog "For your convenience you may just call:"
elog " emerge --config =${P}"
elog
}
pkg_postrm() {
xdg_desktop_database_update
xdg_icon_cache_update
}

@ -26,15 +26,15 @@ S="${WORKDIR}"
src_prepare() {
default
rm -rf usr/lib
mkdir files
rm -rf usr/lib || die "could not remove usr/lib"
mkdir files || die "could not create files dir"
}
src_install() {
insinto /
doins -r usr opt
find . -type f -perm -a=x | while read f; do
chmod 0755 "${D}/${f}"
fperms 0755 "${f/./}"
done
dosym ../../opt/tuxedo-control-center/tuxedo-control-center /usr/bin/tuxedo-control-center
@ -47,6 +47,8 @@ src_install() {
systemd_dounit opt/tuxedo-control-center/resources/dist/tuxedo-control-center/data/dist-data/tccd.service
systemd_dounit opt/tuxedo-control-center/resources/dist/tuxedo-control-center/data/dist-data/tccd-sleep.service
newinitd "${FILESDIR}/tccd.initd" tccd
}
pkg_config() {
@ -67,8 +69,8 @@ pkg_postinst() {
elog
elog "You need to enable tccd and tccd-sleep service before running tuxedo-control-center"
elog
elog "For your convenience you may just call:"
elog " emerge --config =${P}"
elog "For your convenience, if you use systemd, you may just call:"
elog " emerge --config =app-laptop/${PF}"
elog
}

Binary file not shown.

@ -62,8 +62,6 @@ CDEPEND="app-misc/c_rehash
BDEPEND="${CDEPEND}"
if ! ${PRECOMPILED} ; then
BDEPEND+=" ${PYTHON_DEPS}"
# See bug #821706
BDEPEND+=" $(python_gen_any_dep 'dev-python/cryptography[${PYTHON_USEDEP}]')"
fi
DEPEND=""
@ -76,10 +74,6 @@ RDEPEND="${CDEPEND}
S=${WORKDIR}
python_check_deps() {
has_version -b "dev-python/cryptography[${PYTHON_USEDEP}]"
}
pkg_setup() {
# For the conversion to having it in CONFIG_PROTECT_MASK,
# we need to tell users about it once manually first.
@ -126,6 +120,11 @@ src_prepare() {
default
eapply -p2 "${FILESDIR}"/${PN}-20150426-root.patch
pushd "${S}/${PN}-${DEB_VER}" >/dev/null || die
eapply "${FILESDIR}"/${P}-no-cryptography.patch
popd >/dev/null || die
local relp=$(echo "${EPREFIX}" | sed -e 's:[^/]\+:..:g')
sed -i \
-e '/="$ROOT/s:ROOT:ROOT'"${EPREFIX}"':' \

@ -0,0 +1,27 @@
Remove the dependency on non-portable dev-python/cryptography.
https://bugs.gentoo.org/821706#c4 by Alex Xu
--- a/mozilla/certdata2pem.py
+++ b/mozilla/certdata2pem.py
@@ -28,8 +28,6 @@
import textwrap
import io
-from cryptography import x509
-
objects = []
@@ -122,12 +120,6 @@
if not obj['CKA_LABEL'] in trust or not trust[obj['CKA_LABEL']]:
continue
- cert = x509.load_der_x509_certificate(obj['CKA_VALUE'])
- if cert.not_valid_after < datetime.datetime.now():
- print('!'*74)
- print('Trusted but expired certificate found: %s' % obj['CKA_LABEL'])
- print('!'*74)
-
bname = obj['CKA_LABEL'][1:-1].replace('/', '_')\
.replace(' ', '_')\
.replace('(', '=')\

@ -1 +1,2 @@
DIST solaar-1.0.5.tar.gz 920452 BLAKE2B 44aa0f9abd63629a5a4e737c14e468922c4aa501341717d595f045c5f40369ade6ff296120931557f1e8f04b99aa4f690454aa8f6bceaa526f370f93b312f6d6 SHA512 28603c30f0e9f2f0fe2549722062548031c69a0d9c98f732fdd8fbb51ed1d55ef033262113b2f88044a68f8b26c8c51fb0b45d4f4689fb3619e143d159618c47
DIST solaar-1.0.7.tar.gz 1265664 BLAKE2B 6bb221d603dc74bf21ac44ca6611d817889285c8711c565b7393b875a934bf9125fc366569c1f677d657463484f2ec5fa077703f311ef2aec74e9f6813a5f1d7 SHA512 24b6b861f90d5747f150afb38b32041885b61cbf7df7794d780b311aef50d334347d5c5c722a0a7d5de3f91b96228e90e2a61dc108054452f46750a04340df83

@ -0,0 +1,69 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DISTUTILS_SINGLE_IMPL=1
PYTHON_COMPAT=( python3_{7..9} )
inherit linux-info udev xdg distutils-r1
DESCRIPTION="Linux Device Manager for Logitech Unifying Receivers and Paired Devices"
HOMEPAGE="https://pwr-solaar.github.io/Solaar/"
if [[ ${PV} =~ 9999* ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/pwr-Solaar/Solaar"
else
SRC_URI="https://github.com/pwr-Solaar/Solaar/archive/${PV/_rc/rc}.tar.gz -> ${P/_rc/rc}.tar.gz"
KEYWORDS="~amd64 ~arm ~x86"
S="${WORKDIR}"/Solaar-${PV/_rc/rc}
fi
LICENSE="GPL-2"
SLOT="0"
IUSE="doc appindicator libnotify"
RDEPEND="
acct-group/plugdev
$(python_gen_cond_dep '
dev-python/psutil[${PYTHON_USEDEP}]
dev-python/pygobject:3[${PYTHON_USEDEP}]
dev-python/python-xlib[${PYTHON_USEDEP}]
>=dev-python/pyudev-0.13[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
')
x11-libs/gtk+:3[introspection]
appindicator? ( dev-libs/libappindicator:3[introspection] )
libnotify? ( x11-libs/libnotify[introspection] )"
# libappindicator & libnotify are entirely optional and detected at runtime
CONFIG_CHECK="~HID_LOGITECH_DJ ~HIDRAW"
python_prepare_all() {
# don't autostart (bug #494608)
sed -i \
-e '/yield autostart_path/d' \
setup.py || die
sed -i -r \
-e '/yield.*udev.*rules.d/{s,/etc,/lib,g}' \
setup.py || die
# grant plugdev group rw access
sed -i 's/#MODE=/MODE=/' rules.d/42-logitech-unify-permissions.rules || die
distutils-r1_python_prepare_all
}
python_install_all() {
distutils-r1_python_install_all
dodoc docs/devices.md
if use doc; then
dodoc -r docs/*
else
newdoc docs/index.md README.md
fi
udev_dorules "${S}"/rules.d/42-logitech-unify-permissions.rules
}

Binary file not shown.

@ -30,6 +30,7 @@ DEPEND="${RDEPEND}"
BDEPEND="app-text/docbook-xml-dtd:4.1.2
app-text/docbook-xsl-stylesheets
dev-perl/Module-Build
sys-devel/gettext
test? (
app-text/docbook-sgml-dtd:4.1
dev-perl/Test-Pod

@ -11,7 +11,7 @@ if [[ ${PV} == *9999* ]] ; then
SLOT="0/9999"
else
SRC_URI="https://poppler.freedesktop.org/${P}.tar.xz"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
SLOT="0/115" # CHECK THIS WHEN BUMPING!!! SUBSLOT IS libpoppler.so SOVERSION
fi

Binary file not shown.

@ -3,10 +3,10 @@
EAPI=8
PYTHON_COMPAT=( python3_{7,8,9,10} )
PYTHON_COMPAT=( python3_{8,9} )
inherit distutils-r1 toolchain-funcs
DESCRIPTION="ease the development of portable automated build systems"
DESCRIPTION="Ease the development of portable automated build systems"
HOMEPAGE="https://www.adacore.com/"
SRC_URI="https://github.com/AdaCore/${PN}/archive/refs/tags/v${PV}.tar.gz
-> ${P}.tar.gz"
@ -16,24 +16,23 @@ SLOT="0"
KEYWORDS="~amd64"
RESTRICT="!test? ( test )"
RDEPEND="dev-python/colorama
dev-python/stevedore
dev-python/distro
RDEPEND="dev-python/colorama[${PYTHON_USEDEP}]
dev-python/stevedore[${PYTHON_USEDEP}]
dev-python/distro[${PYTHON_USEDEP}]
dev-python/tqdm[${PYTHON_USEDEP}]
dev-python/psutil[${PYTHON_USEDEP}]
dev-python/requests-toolbelt[${PYTHON_USEDEP}]
dev-python/python-dateutil[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/tomlkit[${PYTHON_USEDEP}]
!app-editors/e3"
DEPEND="${RDEPEND}
DEPEND="${RDEPEND}"
BDEPEND="
test? (
dev-python/requests-toolbelt
dev-python/httpretty
dev-python/httpretty[${PYTHON_USEDEP}]
dev-vcs/subversion
dev-python/tqdm
dev-python/tomlkit
dev-python/pyyaml
dev-python/python-dateutil
dev-python/mock
dev-python/psutil
dev-python/mock[${PYTHON_USEDEP}]
)"
BDEPEND=""
REQUIRED_USE="x86? ( !test )"
PATCHES=(
"${FILESDIR}"/${P}-distro.patch
@ -42,10 +41,6 @@ PATCHES=(
distutils_enable_tests --install pytest
src_prepare() {
distutils-r1_src_prepare
}
src_compile() {
local PLATFORM=x86_64-linux
rm src/e3/os/data/rlimit* || die

@ -23,6 +23,6 @@
(build, install, test, …)
</longdescription>
<upstream>
<remote-id type="github">adacore/gprbuild</remote-id>
<remote-id type="github">adacore/e3-core</remote-id>
</upstream>
</pkgmetadata>

@ -0,0 +1 @@
DIST e3-testsuite-24.0.tar.gz 103595 BLAKE2B c41360aeb9243810fb3fe26c567430365c09823430927cb1e5e04e4fc0e3b28727a7fe3e286b1fe135ce32e2cc85821994804695a23f6fddcfc4f4bb8f57661b SHA512 1460b3611b863d0311960702fd684612f32cd876fa1864feae39b16251677ee25f4f29c1f749d2eeb93d0306dc3c130e424e11c6d5561f01482a065f239de170

@ -0,0 +1,23 @@
# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8,9} )
inherit distutils-r1
DESCRIPTION="Generic testsuite framework in Python"
HOMEPAGE="https://www.adacore.com/"
SRC_URI="https://github.com/AdaCore/${PN}/archive/refs/tags/v${PV}.tar.gz
-> ${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"
RESTRICT="!test? ( test )"
RDEPEND="dev-ada/e3-core[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}"
BDEPEND=""
distutils_enable_tests --install pytest

@ -0,0 +1,18 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>ada@gentoo.org</email>
</maintainer>
<longdescription lang="en">
This present project (e3) is a Python framework to ease the
development of portable automated build systems (compilation,
dependencies management, binary code packaging, and automated
testing).
The e3 framework is split across multiple Python packages named
e3-name and sharing the same namespace: e3.
</longdescription>
<upstream>
<remote-id type="github">adacore/e3-testsuite</remote-id>
</upstream>
</pkgmetadata>

Binary file not shown.

@ -1,3 +1,3 @@
DIST Catch-1.12.2.tar.gz 377265 BLAKE2B bc27b4daee950f8fb93d65f3aed032e72bc856ee27a8dc28c35b89e33f414d68ba4cf00951e476688eddf9e4c0514036bd6916fa6cfa9e3359e6c625984f114f SHA512 ed963cdca9fe307ee02928677f81cafcb41cd607faaa315182fdf898d0f2aa28f0be2141bd642f46fdfac400c38f6d065e00a595a1e5879fe2335c4a3851e844
DIST Catch2-2.13.4.tar.gz 656645 BLAKE2B 7a8afb099d410af3a7641c948a59307ac72338174356c1219834f050e0971e410275f1eda911444c3e956320fa25b60f91a3aba75aa36d375ba38626a0246485 SHA512 eac081d750e65d4d8d8d5f32b53bd963c6566caabaff424c479fe080416f59b5387adbdf6dbac30fe265243cb5ed184baf6f8a9625052bd498c098b83463390d
DIST Catch2-2.13.6.tar.gz 659811 BLAKE2B d876c51589259ef9fa9640811c17049ee5f1559a2863d146b0d8f79e9531b3528db34bc23e4fee090436a92b430756442eee4820083e71225da0f24399131a73 SHA512 f63e240994b5982cf019a33b8999b62237cce174962f00437d64fd287b34f7217d066225d99322431ef60da67b025f36db703dab94b3d58bbd81095d98917278
DIST Catch2-2.13.7.tar.gz 661014 BLAKE2B 7d874832082db74895bfd696c409a77693ae68c456d1287acf965ec6884c323cd2f3bc4b9eecc3e8210d262a6da8e897dfef09ec035f8bed4d408a28e7147cc5 SHA512 1c3cbdecc6a3b59360a97789c4784d79d027e1b63bdc42b0e152c3272f7bad647fcd1490aa5caf67f968a6311dc9624b5a70d5eb3fbc1d5179d520e09b76c9ed

@ -1,9 +1,9 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
PYTHON_COMPAT=( python3_{7..9} )
PYTHON_COMPAT=( python3_{8..10} )
inherit cmake python-any-r1
@ -13,9 +13,9 @@ if [[ ${PV} == *9999 ]]; then
else
MY_P=${PN^}2-${PV}
SRC_URI="https://github.com/catchorg/Catch2/archive/v${PV}.tar.gz -> ${MY_P}.tar.gz"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
S="${WORKDIR}/${MY_P}"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
fi
DESCRIPTION="Modern C++ header-only framework for unit-tests"
@ -38,7 +38,7 @@ src_configure() {
-DBUILD_TESTING=$(usex test)
)
use test &&
mycmakeargs+=(-DPYTHON_EXECUTABLE="${PYTHON}")
mycmakeargs+=( -DPYTHON_EXECUTABLE="${PYTHON}" )
cmake_src_configure
}

@ -1,9 +1,9 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
PYTHON_COMPAT=( python3_{7..9} )
PYTHON_COMPAT=( python3_{8..10} )
inherit cmake python-any-r1
@ -13,9 +13,9 @@ if [[ ${PV} == *9999 ]]; then
else
MY_P=${PN^}2-${PV}
SRC_URI="https://github.com/catchorg/Catch2/archive/v${PV}.tar.gz -> ${MY_P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
S="${WORKDIR}/${MY_P}"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
fi
DESCRIPTION="Modern C++ header-only framework for unit-tests"
@ -35,11 +35,10 @@ pkg_setup() {
src_configure() {
local mycmakeargs=(
-DCATCH_ENABLE_WERROR=OFF
-DBUILD_TESTING=$(usex test)
-DCATCH_DEVELOPMENT_BUILD=$(usex test)
)
use test &&
mycmakeargs+=(-DPYTHON_EXECUTABLE="${PYTHON}")
mycmakeargs+=( -DPYTHON_EXECUTABLE="${PYTHON}" )
cmake_src_configure
}

@ -11,7 +11,7 @@ SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 -x86"
KEYWORDS="amd64 -x86"
IUSE="+openmp test"
RESTRICT="!test? ( test )"

@ -1 +1,2 @@
DIST prometheus-cpp-0.13.0.tar.gz 55448 BLAKE2B 5790e74f5bb783070b6928adf9d850dc59ff8507d580a96549e62a2ea9ca1cf5b5de0fb445dd373bbae6da3fdae59d1dbf2eca5e04dc3d6adb58e5c52da1e666 SHA512 d2c6708047cec1998697931d5e9b420dfa513ade9f298761b08ae87a5526cbe64476ebc56793c21d8c3d741e3a4db5ce8d27af1d39b4ca30a45de34f40fdca67
DIST prometheus-cpp-1.0.0.tar.gz 56244 BLAKE2B 51ff199c0cd09367de873310a835b7a4a5893de11a6115b3de8ef142eb12b326ea7498a8adc155f3bbea6389da41eef91b5ef23cb0227ef1d1ceb64e4d7eac2e SHA512 baeb12725dd47b170e1ac94c23b2b18ba8aa11dedd95af7adee8fdf9ddebaddfca1ef75c30b1d65c94e1cfbcba2c41e0f4686f1a1de66beaba7dcd70ab190164

@ -0,0 +1,41 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit cmake
DESCRIPTION="Prometheus Client Library for Modern C++"
HOMEPAGE="https://github.com/jupp0r/prometheus-cpp"
SRC_URI="https://github.com/jupp0r/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~riscv ~x86"
IUSE="test zlib"
RESTRICT="!test? ( test )"
RDEPEND="net-misc/curl
sys-libs/zlib
www-servers/civetweb[cxx]"
DEPEND="${RDEPEND}
test? (
dev-cpp/benchmark
dev-cpp/gtest
)"
BDEPEND="virtual/pkgconfig"
src_configure() {
local mycmakeargs=(
-DENABLE_PULL=yes
-DENABLE_PUSH=yes
-DENABLE_COMPRESSION=$(usex zlib)
-DENABLE_TESTING=$(usex test)
-DUSE_THIRDPARTY_LIBRARIES=OFF
-DGENERATE_PKGCONFIG=ON
-DRUN_IWYU=OFF
)
cmake_src_configure
}

Binary file not shown.

@ -1,6 +1,8 @@
DIST citus-10.0.5.tar.gz 5182513 BLAKE2B 84bd1d2d8a33ecb58371625bfe9936985b3e84237f5580b5d217ee7807a541b7d94c09ad1be75204582149a2be0f3b54fa69ba73c089a33c7d416c796259423e SHA512 38414bd53952b3fcda222a3edeb7c0d32c9fe360fd6cfdefbe2c597df0dc527cf32471b5a9eac68be670858f3c3ee0a5691b778e2821c129838d1f17bc7a539b
DIST citus-10.0.6.tar.gz 5186554 BLAKE2B b7f4c46cf202bcc1a0d62d797056d5dbee625c4d00f6c0507e95201698bd9d0eceddaf2dd524e0a954a75013fcfb5f42531975ae157d1aa015a27f8adc8d9f25 SHA512 2a839eb2cc907a8294b974ec4f698042546e84757d209ce5e7c52d122f3f2af5036b3a1147d26b50170192649a19cf38d3c2bccfa445e213f604bb21ef84d478
DIST citus-10.1.3.tar.gz 5281581 BLAKE2B cf119c550174a8b64bfee6497288a10030db7ff8d40e48d4751799d4268618afe9b7dcd72bfbd5b01dc073f6f4af55e8dc338071e3be224d15ded423885bbebd SHA512 2ad9665c5de3214a5ebc08d5df663caa634912dd9db433a43bea96d3932213786d1650a695531a4d00ab8dff7d53078848466d7a6e803bff3ab26f4df3990c91
DIST citus-10.2.0.tar.gz 5496211 BLAKE2B 9b6f3aeb19e8f4391b6ca24615a6eab405a57bf673995d79c2ea563dec67c63ffb5d17d4f8a1f245497f15de2fb572d0ecccc4a5195e797bd2a799800dcc553a SHA512 fb816bc0f252f6a63c76923366c9a25b9004288c09c7a6de7911a2c0325e47b1772b7a59cdb39e034d406ce99db53ced8e68c658bf16e92c2c99eb7331537ea7
DIST citus-10.2.1.tar.gz 5502245 BLAKE2B d83e951aed48bcdd67e0d6ffb7c1f036e46cf5da961a11df007e2f4d0bb6437dc9f61f4c2e32732beb23bdb3d03236f1b2c2bdfcdbd843d95c3788310475c4dd SHA512 782bef91d2d3a0eb12b291e43ce10fc43e24b37d330f0d861e5e5feaba8d9bd556270cfa01d210d29ee729364697e9fbce47f95ef892ea6ec92a9ef49c34f931
DIST citus-10.2.2.tar.gz 5513323 BLAKE2B f968215919470e330ca47bf40b3315f9d28abcff22b5d655bba61c39f6253129eacfbe3f388d824edbea0114386dd013426f1149c2296d2ab4b599baea410ba9 SHA512 9e369ea00066119e343f29c9b8b6bdc9c1be7fba5b521950bf0eda391022d7616d81a7d0c7cf15a35b5048f9e2c5f4abd9d1db8ef653f08a6e5a59da6c333a36
DIST citus-9.5.10.tar.gz 4744848 BLAKE2B e6d9595fe30cb93508007cb4f39933ae57b6f0f1c5ee084ac83b0f5edea0d32dc0e8fd71737e396eb9b77fd5601ae647e29dea5b13e2e7a53a59f96365773466 SHA512 24683c7607de115d1d7fc355b56ff732e5e5f2adcdbebac7ee0d71b8878de3f335f3824be9e02ae9554850c68d7e21bc6d95d581e02ba4fef9da27b2f67f2987
DIST citus-9.5.8.tar.gz 4737096 BLAKE2B aa2e272f635699e16ebb5df2f981c1250009c721198456228a90837a8a37c6e5325dfea8f51f39bd3aafe8be0b6335cbac36443bc3193b796c9be6fe34a91a41 SHA512 5fbde79f995a1e66adb9339fecae03c62763b725e7aeafe4d57e10355cfe6bfca0724e38f2e6c34ce4eb762d94566f23ea1e78692eff602623ededc8a91b7949

@ -0,0 +1,31 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
POSTGRES_COMPAT=( 11 12 13 )
inherit postgres-multi
DESCRIPTION="Open-source postgresql extension for clustering/multi-node setups"
HOMEPAGE="https://www.citusdata.com/"
SRC_URI="https://github.com/citusdata/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
IUSE=""
LICENSE="POSTGRESQL AGPL-3"
KEYWORDS="~amd64"
SLOT=0
RESTRICT="test"
DEPEND="${POSTGRES_DEP}
app-arch/lz4
app-arch/zstd
"
RDEPEND="${DEPEND}"
src_configure() {
postgres-multi_foreach econf
}

@ -0,0 +1,31 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
POSTGRES_COMPAT=( 11 12 13 )
inherit postgres-multi
DESCRIPTION="Open-source postgresql extension for clustering/multi-node setups"
HOMEPAGE="https://www.citusdata.com/"
SRC_URI="https://github.com/citusdata/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
IUSE=""
LICENSE="POSTGRESQL AGPL-3"
KEYWORDS="~amd64"
SLOT=0
RESTRICT="test"
DEPEND="${POSTGRES_DEP}
app-arch/lz4
app-arch/zstd
"
RDEPEND="${DEPEND}"
src_configure() {
postgres-multi_foreach econf
}

@ -1,7 +1,7 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
EAPI="8"
DESCRIPTION="Database for the m17n library"
HOMEPAGE="https://savannah.nongnu.org/projects/m17n https://git.savannah.nongnu.org/cgit/m17n/m17n-db.git"
@ -12,8 +12,8 @@ SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 sparc x86"
IUSE=""
DEPEND="sys-devel/gettext"
RDEPEND="virtual/libintl"
BDEPEND="sys-devel/gettext"
src_install() {
default

@ -1,7 +1,7 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
EAPI="8"
DESCRIPTION="Database for the m17n library"
HOMEPAGE="https://savannah.nongnu.org/projects/m17n https://git.savannah.nongnu.org/cgit/m17n/m17n-db.git"
@ -9,11 +9,11 @@ SRC_URI="mirror://nongnu/m17n/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ppc64 ~riscv ~sparc x86"
IUSE=""
DEPEND="sys-devel/gettext"
RDEPEND="virtual/libintl"
BDEPEND="sys-devel/gettext"
src_install() {
default

@ -6,3 +6,4 @@ DIST timescaledb-2.2.1.tar.gz 2637225 BLAKE2B 4ab37bb5c45a3f7550c2694c8757fff3e8
DIST timescaledb-2.3.1.tar.gz 2699256 BLAKE2B 5949245d4a2bf52558b3f646d3723b0571745226fcc0de236c21ad7f32316eaeb0780aa94f8ccacd420cd0b0e47c8e048172b9f9355cf01797398b7f2fc85a6a SHA512 431f716ecd98504ce8e5b85e6fd10bf87ed39aac0244b7e968383537caae965ece09f016fed8ea010f5d42b392aed2d75b012deafd807d107f3dc75cbde287ec
DIST timescaledb-2.4.1.tar.gz 2401410 BLAKE2B 752d484b03a59cde22f295d47a90d05bfc0674428dd2d03152dbf6604e10c0fb6780815666f65f4d2df58075f7911636c13a671504eed78642e211ceda8aba3d SHA512 54baced28eb20aa14c78605ce7828f7c48210125d9193c3e1c88e9ae81616b2baf37a1eb97c5eb0ddc9b6820d534d134ad047f3c7ace374e29191a42142f35a1
DIST timescaledb-2.4.2.tar.gz 2409324 BLAKE2B 387f8ba3f446af227e7bd578177a6391c6ad6b1f889eb305499dc420805ad84041bf09b48cf7087727a5d111a7b374a5a5b9b83c0c97a69dc09d9c2c5d3ee9ca SHA512 56a0ff981e7374e2845d949c5bde2f157063b36cb7f9c54c6627c35ae8a8a5e5a3637fb66c6fd5c61a25b86f80a204ab7a6071b9705646bfee6a9b252c805b2d
DIST timescaledb-2.5.0.tar.gz 2737786 BLAKE2B 3c3af86e016e2a2d2484b65cd7754eb0c2561358a51f2d3887aa9c0fce8ec2e8598751423b2858fa25955a0744a32ac40c40766d4abe91751701fe053e6c7498 SHA512 fcb3130b472d7ebbaabcce6259b5585ceff2c2b39abeb68f13f2bf5e715afb6a5ccab8534ea9e8eea0c7aef31045680e17f48ff46465d7e693450f1cd77001e4

@ -0,0 +1,67 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
POSTGRES_COMPAT=( 12 13 14 )
inherit postgres-multi cmake
DESCRIPTION="Open-source time-series SQL database"
HOMEPAGE="https://www.timescale.com/"
SRC_URI="https://github.com/timescale/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
IUSE="proprietary-extensions"
LICENSE="POSTGRESQL Apache-2.0 proprietary-extensions? ( timescale )"
KEYWORDS="~amd64"
SLOT=0
RESTRICT="test"
DEPEND="${POSTGRES_DEP}
dev-libs/openssl:="
RDEPEND="${DEPEND}"
CMAKE_IN_SOURCE_BUILD=yes
CMAKE_BUILD_TYPE="RelWithDebInfo"
BUILD_DIR=${WORKDIR}/${P}
src_prepare() {
postgres-multi_src_prepare
postgres-multi_foreach cmake_src_prepare
}
timescale_configure() {
local CMAKE_USE_DIR=$BUILD_DIR
local mycmakeargs=( "-DPG_CONFIG=/usr/bin/pg_config${MULTIBUILD_VARIANT}" "-DREGRESS_CHECKS=OFF" )
# licensing is tied to features, this useflag disables the non-apache2 licensed bits
if ! use proprietary-extensions ; then
mycmakeargs+=("-DAPACHE_ONLY=ON")
fi
cmake_src_configure
}
src_configure() {
postgres-multi_foreach timescale_configure
}
timescale_src_compile() {
local CMAKE_USE_DIR=$BUILD_DIR
cmake_src_compile
}
src_compile() {
postgres-multi_foreach timescale_src_compile
}
timescale_src_install() {
local CMAKE_USE_DIR=$BUILD_DIR
cmake_src_install
}
src_install() {
postgres-multi_foreach timescale_src_install
}

Binary file not shown.

@ -1 +1,2 @@
DIST freecell-solver-6.2.0.tar.xz 426616 BLAKE2B f48d1b67c56a42f42e00e765a911944ae7d2eb97db81a8ebb58baa1603bd274c9ceb460bdf5c232c4f2b3f54d33acc0057e25c8c0bce897bb862eedc16613f05 SHA512 090f6b93c3f354b5c6bcb1ea67d9313639d23e81998cdc15316246a1cdac26450cf8fd04172bfd5539d875edf407dcdf7ce2c872221b7261f89dbbe309c27560
DIST freecell-solver-6.6.0.tar.xz 432564 BLAKE2B 8bd4acc29eb2b934ae8666dd2877a428ed7b7f7f9eec87c8c7e395cd364dde91caac98895fa1abe61eeb7fd2ea84c4abf9924fc136879d53f9dd43ec5221b55a SHA512 55844426ca7e8c01916b94aca13ef579923b28ef88376bade6899a2b791a4a8198160a05169915fb484a12363c8c1b2f1bfaa7bd18afbc46c9ba86058cbba2bb

@ -0,0 +1,39 @@
From edbcda19be3720b164e9961226bfa74271f2b9b5 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Sat, 27 Nov 2021 11:35:28 +0100
Subject: [PATCH] Make sure to disable futile external repo fetching
---
CMakeLists.txt | 2 +-
cmake/rinutils_bootstrap.cmake | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/CMakeLists.txt b/CMakeLists.txt
index c991dcb47..b0c13d4ff 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -210,7 +210,7 @@ ENDIF ()
# Clone the patsolve repository with the appropriate branch.
SET (pats_dir "patsolve")
-IF (NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${pats_dir}")
+IF (0)
EXECUTE_PROCESS(
COMMAND "git" "clone" "https://github.com/shlomif/patsolve.git" "${pats_dir}"
WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
diff --git a/cmake/rinutils_bootstrap.cmake b/cmake/rinutils_bootstrap.cmake
index 3879bce85..cf2ea168d 100644
--- a/cmake/rinutils_bootstrap.cmake
+++ b/cmake/rinutils_bootstrap.cmake
@@ -5,7 +5,7 @@ MACRO(RINUTILS_SET_UP_FLAGS)
SET (rinutils_inc_dir "${rinutils_dir_absolute}/rinutils/include")
SET (rinutils_git_tag "0.6.0")
- find_package(Rinutils QUIET)
+ find_package(Rinutils REQUIRED)
IF ("${Rinutils_FOUND}")
INCLUDE_DIRECTORIES(AFTER ${RINUTILS_INCLUDE_DIR} ${RINUTILS_INCLUDE_DIRS})
ELSE ()
--
2.34.1

@ -0,0 +1,56 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
inherit cmake python-single-r1
DESCRIPTION="C library for automatically solving Freecell and some other solitaire variants"
HOMEPAGE="https://fc-solve.shlomifish.org/"
SRC_URI="https://fc-solve.shlomifish.org/downloads/fc-solve/${P}.tar.xz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
IUSE="tcmalloc"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="${PYTHON_DEPS}
dev-libs/rinutils
$(python_gen_cond_dep '
dev-python/pysol_cards[${PYTHON_USEDEP}]
dev-python/random2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
')
tcmalloc? ( dev-util/google-perftools )
"
DEPEND="${RDEPEND}
dev-perl/Moo
dev-perl/Path-Tiny
dev-perl/Template-Toolkit
"
DOCS=( README.html )
PATCHES=(
"${FILESDIR}/${PN}-5.22.1-no-docs.patch"
"${FILESDIR}/${P}-no-git-clone-kthxbye.patch"
)
src_prepare() {
cmake_src_prepare
python_fix_shebang board_gen
}
src_configure() {
local mycmakeargs=(
-DBUILD_STATIC_LIBRARY=OFF
-DFCS_BUILD_DOCS=OFF
-DFCS_WITH_TEST_SUITE=OFF # requires unpackaged dependencies
-DFCS_AVOID_TCMALLOC=$(usex !tcmalloc)
)
cmake_src_configure
}

Binary file not shown.

@ -0,0 +1,132 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit java-vm-2 toolchain-funcs
abi_uri() {
echo "${2-$1}? (
${BASE_URI}/${PN}-core-${PV}${3+-r${3}}-${1}.tar.xz
examples? ( ${BASE_URI}/${PN}-examples-${PV}${3+-r${3}}-${1}.tar.xz )
)"
}
BASE_URI="https://dev.gentoo.org/~gyakovlev/distfiles"
SRC_URI="
doc? ( ${BASE_URI}/${PN}-doc-${PV}.tar.xz )
source? ( ${BASE_URI}/${PN}-src-${PV}.tar.xz )
big-endian? ( $(abi_uri ppc64) )
!big-endian? ( $(abi_uri ppc64le ppc64) )
$(abi_uri amd64)
$(abi_uri arm)
$(abi_uri arm64)
$(abi_uri x86)
"
DESCRIPTION="A Gentoo-made binary build of the IcedTea JDK"
HOMEPAGE="http://icedtea.classpath.org"
LICENSE="GPL-2-with-classpath-exception"
SLOT="8"
KEYWORDS="-* ~amd64 ~arm ~arm64 ~ppc64 ~x86"
IUSE="+alsa big-endian cups doc examples +gtk headless-awt pulseaudio selinux source"
REQUIRED_USE="gtk? ( !headless-awt )"
RESTRICT="preserve-libs strip"
QA_PREBUILT="opt/.*"
DEPEND="app-arch/xz-utils"
RDEPEND="
>=dev-libs/glib-2.60.7:2
>=media-libs/fontconfig-2.13:1.0
>=media-libs/freetype-2.9.1:2
>=media-libs/lcms-2.9:2
>=sys-apps/baselayout-java-0.1.0-r1
>=sys-libs/zlib-1.2.11-r2
virtual/jpeg-compat:62
alsa? ( >=media-libs/alsa-lib-1.2 )
cups? ( >=net-print/cups-2.0 )
gtk? (
>=dev-libs/atk-2.32.0
>=x11-libs/cairo-1.16.0
x11-libs/gdk-pixbuf:2
>=x11-libs/gtk+-2.24:2
>=x11-libs/pango-1.42
)
selinux? ( sec-policy/selinux-java )
virtual/ttf-fonts
!headless-awt? (
media-libs/giflib:0/7
=media-libs/libpng-1.6*
>=x11-libs/libX11-1.6
>=x11-libs/libXcomposite-0.4
>=x11-libs/libXext-1.3
>=x11-libs/libXi-1.7
>=x11-libs/libXrender-0.9.10
>=x11-libs/libXtst-1.2
)
"
PDEPEND="pulseaudio? ( dev-java/icedtea-sound )"
S="${WORKDIR}"
pkg_pretend() {
if [[ "$(tc-is-softfloat)" != "no" ]]; then
die "These binaries require a hardfloat system."
fi
}
src_prepare() {
default
# I wouldn't normally use -f below but symlinks in the arm files
# make this fail otherwise and any other approach would be tedious.
if ! use alsa; then
rm -fv */jre/lib/*/libjsoundalsa.* || die
fi
if use headless-awt; then
rm -fvr */jre/lib/*/lib*{[jx]awt,splashscreen}* \
*/{,jre/}bin/policytool */bin/appletviewer || die
fi
}
src_install() {
local dest="/opt/${P}"
local ddest="${ED}/${dest#/}"
dodir "${dest}"
dodoc ${P}-${ABI}/doc/{ASSEMBLY_EXCEPTION,AUTHORS,NEWS,README,THIRD_PARTY_README}
use doc && dodoc -r ${P}/doc/html
# doins doesn't preserve executable bits.
cp -pRP ${P}-${ABI}/{bin,include,jre,lib,man} "${ddest}" || die
if use examples; then
cp -pRP ${P}-${ABI}/{demo,sample} "${ddest}" || die
fi
if use source; then
cp ${P}/src.zip "${ddest}" || die
fi
# use system-wide cacert store
rm "${ddest}"/jre/lib/security/cacerts || die
dosym ../../../../../etc/ssl/certs/java/cacerts "${dest}"/jre/lib/security/cacerts
java-vm_install-env "${FILESDIR}/icedtea-bin.env.sh"
# Both icedtea itself and the icedtea ebuild set PAX markings but we
# disable them for the icedtea-bin build because the line below will
# respect end-user settings when icedtea-bin is actually installed.
java-vm_set-pax-markings "${ddest}"
# Each invocation appends to the config.
java-vm_revdep-mask "${EPREFIX}${dest}"
java-vm_sandbox-predict /proc/self/coredump_filter
}

@ -15,7 +15,7 @@ S="${WORKDIR}/${PN}2-${P}"
LICENSE="BSD"
SLOT="2"
KEYWORDS="amd64 arm64 x86"
KEYWORDS="amd64 arm64 ~ppc64 x86"
IUSE="test"
# Needs yet-unpackaged powermock for tests
RESTRICT="!test? ( test ) test"

@ -20,7 +20,7 @@ SRC_URI="https://github.com/jnr/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="|| ( CPL-1.0 GPL-2 LGPL-2.1 )"
SLOT="3.0"
KEYWORDS="amd64 arm64 x86 ~amd64-linux ~x86-linux ~x86-solaris"
KEYWORDS="amd64 arm64 ~ppc64 x86 ~amd64-linux ~x86-linux ~x86-solaris"
CDEPEND="dev-java/jnr-constants:0
dev-java/jnr-ffi:2"

@ -0,0 +1,136 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit java-vm-2 toolchain-funcs
abi_uri() {
local os=linux
case ${2} in
*-macos) os=mac ;;
*-solaris) os=solaris ;;
esac
echo "${2-$1}? (
https://github.com/adoptium/temurin${SLOT}-binaries/releases/download/jdk-${MY_PV}/OpenJDK${SLOT}U-jdk_${1}_${os}_hotspot_${MY_PV//+/_}.tar.gz
)"
}
MY_PV=${PV/_p/+}
SLOT=${MY_PV%%[.+]*}
SRC_URI="
$(abi_uri arm)
$(abi_uri aarch64 arm64)
$(abi_uri ppc64le ppc64)
$(abi_uri x64 amd64)
$(abi_uri x64 x64-macos)
"
DESCRIPTION="Prebuilt Java JDK binaries provided by Eclipse Temurin"
HOMEPAGE="https://adoptium.net"
LICENSE="GPL-2-with-classpath-exception"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x64-macos"
IUSE="alsa cups +gentoo-vm headless-awt selinux source"
RDEPEND="
>=sys-apps/baselayout-java-0.1.0-r1
kernel_linux? (
media-libs/fontconfig:1.0
media-libs/freetype:2
media-libs/harfbuzz
>=sys-libs/glibc-2.2.5:*
sys-libs/zlib
alsa? ( media-libs/alsa-lib )
cups? ( net-print/cups )
selinux? ( sec-policy/selinux-java )
!headless-awt? (
x11-libs/libX11
x11-libs/libXext
x11-libs/libXi
x11-libs/libXrender
x11-libs/libXtst
)
)"
RESTRICT="preserve-libs splitdebug"
QA_PREBUILT="*"
S="${WORKDIR}/jdk-${MY_PV}"
pkg_pretend() {
if [[ "$(tc-is-softfloat)" != "no" ]]; then
die "These binaries require a hardfloat system."
fi
}
src_unpack() {
default
if [[ ${A} == *_mac_* ]] ; then
mv -v "${S}/Contents/Home/"* "${S}" || die
rm -Rf "${S}/Contents" # drop macOS executable
fi
}
src_install() {
local dest="/opt/${P}"
local ddest="${ED%/}/${dest#/}"
# on macOS if they would exist they would be called .dylib, but most
# importantly, there are no different providers, so everything
# that's shipped works.
if [[ ${A} != *_mac_* ]] ; then
# Not sure why they bundle this as it's commonly available and they
# only do so on x86_64. It's needed by libfontmanager.so. IcedTea
# also has an explicit dependency while Oracle seemingly dlopens it.
rm -vf lib/libfreetype.so || die
# prefer system copy # https://bugs.gentoo.org/776676
rm -vf lib/libharfbuzz.so || die
# Oracle and IcedTea have libjsoundalsa.so depending on
# libasound.so.2 but AdoptOpenJDK only has libjsound.so. Weird.
if ! use alsa ; then
rm -v lib/libjsound.* || die
fi
if use headless-awt ; then
rm -v lib/lib*{[jx]awt,splashscreen}* || die
fi
fi
if ! use source ; then
rm -v lib/src.zip || die
fi
rm -v lib/security/cacerts || die
dosym ../../../../etc/ssl/certs/java/cacerts \
"${dest}"/lib/security/cacerts
dodir "${dest}"
cp -pPR * "${ddest}" || die
# provide stable symlink
dosym "${P}" "/opt/${PN}-${SLOT}"
use gentoo-vm && java-vm_install-env "${FILESDIR}"/${PN}-${SLOT}.env.sh
java-vm_set-pax-markings "${ddest}"
java-vm_revdep-mask
java-vm_sandbox-predict /dev/random /proc/self/coredump_filter
}
pkg_postinst() {
java-vm-2_pkg_postinst
if use gentoo-vm ; then
ewarn "WARNING! You have enabled the gentoo-vm USE flag, making this JDK"
ewarn "recognised by the system. This will almost certainly break"
ewarn "many java ebuilds as they are not ready for openjdk-11"
else
ewarn "The experimental gentoo-vm USE flag has not been enabled so this JDK"
ewarn "will not be recognised by the system. For example, simply calling"
ewarn "\"java\" will launch a different JVM. This is necessary until Gentoo"
ewarn "fully supports Java 11. This JDK must therefore be invoked using its"
ewarn "absolute location under ${EPREFIX}/opt/${P}."
fi
}

@ -0,0 +1,147 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit java-vm-2 toolchain-funcs
abi_uri() {
local baseuri="https://github.com/adoptium/temurin${SLOT}-binaries/releases/download/jdk-${MY_PV}/"
local musl=
local os=linux
case ${2} in
*-macos) os=mac ;;
*-solaris) os=solaris ;;
esac
if [[ ${3} == musl ]]; then
os=alpine-linux
musl=true
fi
echo "${2-$1}? (
${musl:+ elibc_musl? ( }
${baseuri}/OpenJDK${SLOT}U-jdk_${1}_${os}_hotspot_${MY_PV//+/_}.tar.gz
${musl:+ ) } )"
}
MY_PV=${PV/_p/+}
SLOT=${MY_PV%%[.+]*}
SRC_URI="
$(abi_uri arm)
$(abi_uri aarch64 arm64)
$(abi_uri ppc64le ppc64)
$(abi_uri x64 amd64)
$(abi_uri x64 amd64 musl)
$(abi_uri x64 x64-macos)
"
DESCRIPTION="Prebuilt Java JDK binaries provided by Eclipse Temurin"
HOMEPAGE="https://adoptium.net"
LICENSE="GPL-2-with-classpath-exception"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x64-macos"
IUSE="alsa cups +gentoo-vm headless-awt selinux source"
RDEPEND="
>=sys-apps/baselayout-java-0.1.0-r1
kernel_linux? (
media-libs/fontconfig:1.0
media-libs/freetype:2
media-libs/harfbuzz
elibc_glibc? ( >=sys-libs/glibc-2.2.5:* )
sys-libs/zlib
alsa? ( media-libs/alsa-lib )
cups? ( net-print/cups )
selinux? ( sec-policy/selinux-java )
!headless-awt? (
x11-libs/libX11
x11-libs/libXext
x11-libs/libXi
x11-libs/libXrender
x11-libs/libXtst
)
)"
RESTRICT="preserve-libs splitdebug"
QA_PREBUILT="*"
S="${WORKDIR}/jdk-${MY_PV}"
pkg_pretend() {
if [[ "$(tc-is-softfloat)" != "no" ]]; then
die "These binaries require a hardfloat system."
fi
}
src_unpack() {
default
if [[ ${A} == *_mac_* ]] ; then
mv -v "${S}/Contents/Home/"* "${S}" || die
rm -Rf "${S}/Contents" # drop macOS executable
fi
}
src_install() {
local dest="/opt/${P}"
local ddest="${ED%/}/${dest#/}"
# on macOS if they would exist they would be called .dylib, but most
# importantly, there are no different providers, so everything
# that's shipped works.
if [[ ${A} != *_mac_* ]] ; then
# Not sure why they bundle this as it's commonly available and they
# only do so on x86_64. It's needed by libfontmanager.so. IcedTea
# also has an explicit dependency while Oracle seemingly dlopens it.
rm -vf lib/libfreetype.so || die
# prefer system copy # https://bugs.gentoo.org/776676
rm -vf lib/libharfbuzz.so || die
# Oracle and IcedTea have libjsoundalsa.so depending on
# libasound.so.2 but AdoptOpenJDK only has libjsound.so. Weird.
if ! use alsa ; then
rm -v lib/libjsound.* || die
fi
if use headless-awt ; then
rm -v lib/lib*{[jx]awt,splashscreen}* || die
fi
fi
if ! use source ; then
rm -v lib/src.zip || die
fi
rm -v lib/security/cacerts || die
dosym ../../../../etc/ssl/certs/java/cacerts \
"${dest}"/lib/security/cacerts
dodir "${dest}"
cp -pPR * "${ddest}" || die
# provide stable symlink
dosym "${P}" "/opt/${PN}-${SLOT}"
use gentoo-vm && java-vm_install-env "${FILESDIR}"/${PN}-${SLOT}.env.sh
java-vm_set-pax-markings "${ddest}"
java-vm_revdep-mask
java-vm_sandbox-predict /dev/random /proc/self/coredump_filter
}
pkg_postinst() {
java-vm-2_pkg_postinst
if use gentoo-vm ; then
ewarn "WARNING! You have enabled the gentoo-vm USE flag, making this JDK"
ewarn "recognised by the system. This will almost certainly break"
ewarn "many java ebuilds as they are not ready for openjdk-${SLOT}"
else
ewarn "The experimental gentoo-vm USE flag has not been enabled so this JDK"
ewarn "will not be recognised by the system. For example, simply calling"
ewarn "\"java\" will launch a different JVM. This is necessary until Gentoo"
ewarn "fully supports Java ${SLOT}. This JDK must therefore be invoked using its"
ewarn "absolute location under ${EPREFIX}/opt/${P}."
fi
}

@ -0,0 +1,123 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit java-vm-2
abi_uri() {
local os=linux
case ${2} in
*-macos) os=mac ;;
*-solaris) os=solaris ;;
esac
echo "${2-$1}? (
https://github.com/adoptium/temurin${SLOT}-binaries/releases/download/jdk${MY_PV}/OpenJDK8U-jdk_${1}_${os}_hotspot_${3-${MY_PV/-/}}.tar.gz
)"
}
# they have different tarball names for different arches...
# https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u282-b08/OpenJDK8U-jdk_x64_linux_hotspot_8u282b08.tar.gz
# https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u282-b08/OpenJDK8U-jdk_aarch64_linux_hotspot_jdk8u282-b08.tar.gz
MY_PV=$(ver_rs 1 'u' 2 '-' ${PV//p/b})
SLOT="$(ver_cut 1)"
DESCRIPTION="Prebuilt Java JDK binaries provided by Eclipse Temurin"
HOMEPAGE="https://adoptium.net"
SRC_URI="
$(abi_uri aarch64 arm64)
$(abi_uri arm)
$(abi_uri ppc64le ppc64)
$(abi_uri x64 amd64)
$(abi_uri x64 x64-macos)
"
LICENSE="GPL-2-with-classpath-exception"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x64-macos"
IUSE="alsa cups examples headless-awt selinux source"
RDEPEND="
>=sys-apps/baselayout-java-0.1.0-r1
kernel_linux? (
media-libs/fontconfig:1.0
media-libs/freetype:2
>=sys-libs/glibc-2.2.5:*
sys-libs/zlib
alsa? ( media-libs/alsa-lib )
arm? ( dev-libs/libffi-compat:6 )
cups? ( net-print/cups )
selinux? ( sec-policy/selinux-java )
!headless-awt? (
x11-libs/libX11
x11-libs/libXext
x11-libs/libXi
x11-libs/libXrender
x11-libs/libXtst
)
)
"
RESTRICT="preserve-libs strip"
QA_PREBUILT="*"
S="${WORKDIR}/jdk${MY_PV}"
src_unpack() {
default
# 753575
if use arm; then
mv -v "${S}"* "${S}" || die
elif [[ ${A} == *_mac_* ]] ; then
mv -v "${S}/Contents/Home/"* "${S}" || die
rm -Rf "${S}/Contents" # drop macOS executable
fi
}
src_install() {
local dest="/opt/${P}"
local ddest="${ED%/}/${dest#/}"
rm ASSEMBLY_EXCEPTION LICENSE THIRD_PARTY_README || die
# on macOS if they would exist they would be called .dylib, but most
# importantly, there are no different providers, so everything
# that's shipped works.
if [[ ${A} != *_mac_* ]] ; then
# this does not exist on arm64 hence -f
rm -fv jre/lib/*/libfreetype.so* || die
if ! use alsa ; then
rm -v jre/lib/*/libjsoundalsa.so* || die
fi
if ! use examples ; then
rm -vr sample || die
fi
if use headless-awt ; then
rm -fvr {,jre/}lib/*/lib*{[jx]awt,splashscreen}* \
{,jre/}bin/policytool bin/appletviewer || die
fi
fi
if ! use source ; then
rm -v src.zip || die
fi
rm -v jre/lib/security/cacerts || die
dosym ../../../../../etc/ssl/certs/java/cacerts \
"${dest}"/jre/lib/security/cacerts
dodir "${dest}"
cp -pPR * "${ddest}" || die
# provide stable symlink
dosym "${P}" "/opt/${PN}-${SLOT}"
java-vm_install-env "${FILESDIR}"/${PN}-${SLOT}.env.sh
java-vm_set-pax-markings "${ddest}"
java-vm_revdep-mask
java-vm_sandbox-predict /dev/random /proc/self/coredump_filter
}

@ -0,0 +1,97 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit java-vm-2
abi_uri() {
echo "${2-$1}? (
https://github.com/adoptium/temurin${SLOT}-binaries/releases/download/jdk-${MY_PV}/OpenJDK${SLOT}U-jre_${1}_linux_hotspot_${MY_PV//+/_}.tar.gz
)"
}
MY_PV=${PV/_p/+}
SLOT=${MY_PV%%[.+]*}
SRC_URI="
$(abi_uri x64 amd64)
"
DESCRIPTION="Prebuilt Java JRE binaries provided by AdoptOpenJDK"
HOMEPAGE="https://adoptopenjdk.net"
LICENSE="GPL-2-with-classpath-exception"
KEYWORDS="~amd64"
IUSE="alsa cups +gentoo-vm headless-awt selinux"
RDEPEND="
media-libs/fontconfig:1.0
media-libs/freetype:2
>net-libs/libnet-1.1
>=sys-apps/baselayout-java-0.1.0-r1
>=sys-libs/glibc-2.2.5:*
sys-libs/zlib
alsa? ( media-libs/alsa-lib )
cups? ( net-print/cups )
selinux? ( sec-policy/selinux-java )
!headless-awt? (
x11-libs/libX11
x11-libs/libXext
x11-libs/libXi
x11-libs/libXrender
x11-libs/libXtst
)"
RESTRICT="preserve-libs splitdebug"
QA_PREBUILT="*"
S="${WORKDIR}/jdk-${MY_PV}-jre"
src_install() {
local dest="/opt/${P}"
local ddest="${ED%/}/${dest#/}"
# Not sure why they bundle this as it's commonly available and they
# only do so on x86_64. It's needed by libfontmanager.so. IcedTea
# also has an explicit dependency while Oracle seemingly dlopens it.
rm -vf lib/libfreetype.so || die
# Oracle and IcedTea have libjsoundalsa.so depending on
# libasound.so.2 but AdoptOpenJDK only has libjsound.so. Weird.
if ! use alsa ; then
rm -v lib/libjsound.* || die
fi
if use headless-awt ; then
rm -v lib/lib*{[jx]awt,splashscreen}* || die
fi
rm -v lib/security/cacerts || die
dosym ../../../../etc/ssl/certs/java/cacerts "${dest}"/lib/security/cacerts
dodir "${dest}"
cp -pPR * "${ddest}" || die
# provide stable symlink
dosym "${P}" "/opt/${PN}-${SLOT}"
use gentoo-vm && java-vm_install-env "${FILESDIR}"/${PN}-${SLOT}.env.sh
java-vm_set-pax-markings "${ddest}"
java-vm_revdep-mask
java-vm_sandbox-predict /dev/random /proc/self/coredump_filter
}
pkg_postinst() {
java-vm-2_pkg_postinst
if use gentoo-vm ; then
ewarn "WARNING! You have enabled the gentoo-vm USE flag, making this JRE"
ewarn "recognised by the system. This will almost certainly break things."
else
ewarn "The experimental gentoo-vm USE flag has not been enabled so this JRE"
ewarn "will not be recognised by the system. For example, simply calling"
ewarn "\"java\" will launch a different JVM. This is necessary until Gentoo"
ewarn "fully supports Java 11. This JRE must therefore be invoked using its"
ewarn "absolute location under ${EPREFIX}/opt/${P}."
fi
}

@ -0,0 +1,83 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit java-vm-2
abi_uri() {
echo "${2-$1}? (
https://github.com/adoptium/temurin${SLOT}-binaries/releases/download/jdk${MY_PV}/OpenJDK8U-jre_${1}_linux_hotspot_${MY_PV/-/}.tar.gz
)"
}
MY_PV=$(ver_rs 1 'u' 2 '-' ${PV//p/b})
SLOT="$(ver_cut 1)"
DESCRIPTION="Prebuilt Java JRE binaries provided by Eclipse Temurin"
HOMEPAGE="https://adoptium.net"
SRC_URI="
$(abi_uri x64 amd64)
"
LICENSE="GPL-2-with-classpath-exception"
KEYWORDS="~amd64"
IUSE="alsa cups headless-awt selinux"
RDEPEND="
media-libs/fontconfig:1.0
media-libs/freetype:2
>net-libs/libnet-1.1
>=sys-apps/baselayout-java-0.1.0-r1
>=sys-libs/glibc-2.2.5:*
sys-libs/zlib
alsa? ( media-libs/alsa-lib )
cups? ( net-print/cups )
selinux? ( sec-policy/selinux-java )
!headless-awt? (
x11-libs/libX11
x11-libs/libXext
x11-libs/libXi
x11-libs/libXrender
x11-libs/libXtst
)"
RESTRICT="preserve-libs splitdebug"
QA_PREBUILT="*"
S="${WORKDIR}/jdk${MY_PV}-jre"
src_install() {
local dest="/opt/${P}"
local ddest="${ED%/}/${dest#/}"
rm ASSEMBLY_EXCEPTION LICENSE THIRD_PARTY_README || die
# this does not exist on arm64 hence -f
rm -fv lib/*/libfreetype.so* || die
if ! use alsa ; then
rm -v lib/*/libjsoundalsa.so* || die
fi
if use headless-awt ; then
rm -fvr lib/*/lib*{[jx]awt,splashscreen}* \
bin/policytool || die
fi
rm -v lib/security/cacerts || die
dosym ../../../../../etc/ssl/certs/java/cacerts \
"${dest}"/lib/security/cacerts
dodir "${dest}"
cp -pPR * "${ddest}" || die
# provide stable symlink
dosym "${P}" "/opt/${PN}-${SLOT}"
java-vm_install-env "${FILESDIR}"/${PN}-${SLOT}.env.sh
java-vm_set-pax-markings "${ddest}"
java-vm_revdep-mask
java-vm_sandbox-predict /dev/random /proc/self/coredump_filter
}

Binary file not shown.

@ -14,7 +14,10 @@ LICENSE="Artistic-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
RDEPEND="dev-scheme/racket:="
RDEPEND="
!app-arch/arc
dev-scheme/racket:=
"
DEPEND="${RDEPEND}"
src_compile() {

@ -7,6 +7,7 @@
<use>
<flag name="ada">Build the ADA language (GNAT) frontend</flag>
<flag name="bootstrap">Used to bootstrap gnat-gpl</flag>
<flag name="cet" restrict="&gt;=dev-lang/gnat-gpl-2021">Enable support for Intel Control Flow Enforcement Technology (CET)</flag>
<flag name="d">Enable support for the D programming language</flag>
<flag name="fixed-point">Enable fixed-point arithmetic support for MIPS
targets in gcc (Warning: significantly increases compile time!)

@ -0,0 +1 @@
DIST idris2-0.5.1_p20211112.tar.gz 6202861 BLAKE2B 189bf28c7a33281494edea9b2c0821a934000fe9ca6e929b3318fe33576553142e5ad8d81598249cc384c6e342491ccef0998f33a4f2940b80264f5a3e4b32b2 SHA512 3b419ddbdc4aa3a28d92bf204448090c168d6a844d570886f982129f9e650c7112bbf95b727baf6c9f0f2fd6200c75eb68b6b71fd8684e01365eaf964dea1ea1

@ -0,0 +1,105 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
COMMIT_HASH="ba180706d607945d8b419301f4362471d97a306a"
inherit toolchain-funcs
DESCRIPTION="Purely functional programming language with first class types"
HOMEPAGE="https://idris-lang.org/"
if [[ "${PV}" == *9999* ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/idris-lang/Idris2.git"
else
SRC_URI="https://github.com/idris-lang/Idris2/archive/${COMMIT_HASH}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
S="${WORKDIR}/${PN^}-${COMMIT_HASH}"
fi
LICENSE="BSD"
SLOT="0"
IUSE="+chez doc racket test-full"
REQUIRED_USE="^^ ( chez racket )"
RDEPEND="
dev-libs/gmp
chez? ( dev-scheme/chez[threads] )
racket? ( dev-scheme/racket[threads] )
"
DEPEND="${RDEPEND}"
BDEPEND="
doc? ( dev-python/sphinx_rtd_theme )
test-full? (
dev-scheme/chez[threads]
dev-scheme/racket[threads]
net-libs/nodejs
)
"
# Generated via "SCHEME", not CC
QA_FLAGS_IGNORED="usr/lib/idris2/bin/idris2_app/idris2
usr/lib/idris2/bin/idris2_app/idris2-boot"
QA_PRESTRIPPED="${QA_FLAGS_IGNORED}"
src_prepare() {
# Clean up environment of Idris and Racket variables
unset IDRIS2_DATA IDRIS2_INC_CGS IDRIS2_LIBS IDRIS2_PACKAGE_PATH
unset IDRIS2_PATH IDRIS2_PREFIX
unset PLTUSERHOME
tc-export AR CC CXX LD RANLIB
export CFLAGS
sed -i '/^CFLAGS/d' ./support/*/Makefile || die
# Fix "PREFIX"
sed -i 's|$(HOME)/.idris2|/usr/lib/idris2|g' ./config.mk || die
# Bad tests
# > Missing incremental compile data, reverting to whole program compilation
sed -i 's|"chez033",||g' ./tests/Main.idr || die
default
}
src_configure() {
export IDRIS2_VERSION=${PV}
export SCHEME=$(usex chez chezscheme racket)
if use chez; then
export IDRIS2_CG=chez
export BOOTSTRAP_TARGET=bootstrap
elif use racket; then
export IDRIS2_CG=racket
export BOOTSTRAP_TARGET=bootstrap-racket
else
die "Neither chez nor racket was chosen"
fi
}
src_compile() {
# > jobserver unavailable
# This is caused by Makefile using a script which in turn calls make
# https://github.com/idris-lang/Idris2/issues/2152
emake SCHEME=${SCHEME} ${BOOTSTRAP_TARGET} -j1
use doc && emake -C ./docs html
}
src_test() {
emake SCHEME=${SCHEME} bootstrap-test
}
src_install() {
# "DESTDIR" variable is not respected
emake IDRIS2_PREFIX="${D}/usr/lib/idris2" PREFIX="${D}/usr/lib/idris2" install
dosym ../lib/${PN}/bin/${PN} /usr/bin/${PN}
einstalldocs
# Install documentation
use doc && dodoc -r ./docs/build/html
}

@ -0,0 +1,27 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>scheme@gentoo.org</email>
<name>Gentoo Scheme Project</name>
</maintainer>
<longdescription lang="en">
Idris is a programming language designed to encourage Type-Driven
Development.
In type-driven development, types are tools for constructing programs.
We treat the type as the plan for a program, and use the compiler
and type checker as our assistant, guiding us to a complete program that
satisfies the type. The more expressive the type is that we give up front,
the more confidence we can have that the resulting program will be correct.
</longdescription>
<upstream>
<bugs-to>https://github.com/idris-lang/Idris2/issues</bugs-to>
<remote-id type="github">idris-lang/Idris2</remote-id>
</upstream>
<use>
<flag name="chez">build using <pkg>dev-scheme/chez</pkg></flag>
<flag name="racket">build using <pkg>dev-scheme/racket</pkg></flag>
<flag name="test-full">pull in depedndencies to run all tests</flag>
</use>
</pkgmetadata>

@ -24,7 +24,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="PSF-2"
SLOT="${PYVER}"
KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc ~x86"
KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
IUSE="bluetooth build examples gdbm hardened +ncurses +readline +sqlite +ssl test tk wininst +xml"
RESTRICT="!test? ( test )"

Binary file not shown.

@ -18,7 +18,7 @@ S="${WORKDIR}/${PN}_${MY_PV}"
LICENSE="Boost-1.0"
SLOT="0/${PV}" # ${PV} instead ${MAJOR_V} due to bug 486122
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
KEYWORDS="~alpha ~amd64 ~arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
IUSE="bzip2 context debug doc icu lzma +nls mpi numpy python tools zlib zstd"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
# the tests will never fail because these are not intended as sanity

@ -1,9 +1,9 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
inherit cmake-utils
inherit cmake
DESCRIPTION="C++11 library to encode/decode base64, base64url, base32, base32hex and hex"
HOMEPAGE="https://github.com/tplgy/cppcodec"
@ -31,5 +31,5 @@ src_configure() {
local mycmakeargs=(
-DBUILD_TESTING=$(usex test)
)
cmake-utils_src_configure
cmake_src_configure
}

@ -1,9 +1,9 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
inherit cmake-utils
inherit cmake
DESCRIPTION="C++11 library to encode/decode base64, base64url, base32, base32hex and hex"
HOMEPAGE="https://github.com/tplgy/cppcodec"
@ -16,7 +16,7 @@ if [[ ${PV} == *9999 ]]; then
EGIT_SUBMODULES=()
else
SRC_URI="https://github.com/tplgy/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~ppc64 ~x86"
KEYWORDS="amd64 ~ppc64 x86"
fi
LICENSE="MIT"
@ -31,5 +31,5 @@ src_configure() {
local mycmakeargs=(
-DBUILD_TESTING=$(usex test)
)
cmake-utils_src_configure
cmake_src_configure
}

@ -3,3 +3,4 @@ DIST intel-compute-runtime-21.43.21438.tar.gz 4840204 BLAKE2B 6de3075132b9a48e97
DIST intel-compute-runtime-21.44.21506.tar.gz 4851449 BLAKE2B beb49e8bbbfab098bb07943def326463b50f3a4b659368c5b24aadede582331c2c15d4d047e3bbae3d0ca32752c4a05861b0c0a325f30e91bc865276722116b6 SHA512 ae8ca2780602c53f13379ea798462fff1c136967186da21c5b714ed5ab405cb815e0e5e9e60cf8586cef151424270db624b473748d2756ee5768dba4cc020ea6
DIST intel-compute-runtime-21.45.21574.tar.gz 4868091 BLAKE2B 48ff1ba42e5fe5eb231ec82bb7b33d0bb96460fc5adbfcb4702b68397d58b1b88f2a4e5a2dbef462731d43c284439cc4626ebf308d9dcfc509ccb68cea63eb19 SHA512 ede4ca4772ec6518592557d4c49d0a25204773607ae6737a35d20a3abb73ebbe66d01139baba544d5292d848a05a166a2c5ca1712408f85ce6be840bcf104650
DIST intel-compute-runtime-21.46.21636.tar.gz 4878855 BLAKE2B 0ada296b36567038b2abeba50c2dae6604981f00cdfc0d5d9d197c793534c887fa1d321ced34b37cf6760bdc9e2b8769cdc24fe3884036b78b983660c90b1ee7 SHA512 a63436d049737b955f0e23bbfc78684f665f3d1a668120e803165839792144154f3f42a52c6533611711592ba6e41408d81196a61e318746b1dae1392d1d29ac
DIST intel-compute-runtime-21.47.21710.tar.gz 4894551 BLAKE2B 446d9b89a1823f7ce83638010e5285fe8d42018347ded266fd6a091cd0815583ff3ebd0e762a4a8c9c83f6a053c6fe7fecff2a127124c584ad211d58b4932992 SHA512 ce983d09ca87daea8be75e284766aea49262f749017a485ec3b2eb8c14dbeb91b1aeea012178798aa1d90151cfd77f5ce2b44b15a84ea66b5c7573f667a5b3c8

@ -0,0 +1,61 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit cmake
MY_PN="${PN/intel-/}"
MY_P="${MY_PN}-${PV}"
DESCRIPTION="Intel Graphics Compute Runtime for oneAPI Level Zero and OpenCL Driver"
HOMEPAGE="https://github.com/intel/compute-runtime"
SRC_URI="https://github.com/intel/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/${MY_P}"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE="+l0 +vaapi"
RDEPEND="
dev-libs/libnl:3
dev-libs/libxml2:2
>=dev-util/intel-graphics-compiler-1.0.9389
>=dev-util/intel-graphics-system-controller-0.2.4
>=media-libs/gmmlib-21.2.1
>=virtual/opencl-3
l0? ( >=dev-libs/level-zero-1.6.2 )
vaapi? (
x11-libs/libdrm[video_cards_intel]
x11-libs/libva
)
"
# for Khronos OpenGL headers
DEPEND="
${RDEPEND}
media-libs/mesa
"
BDEPEND="virtual/pkgconfig"
DOCS=( "README.md" "FAQ.md" )
PATCHES=( "${FILESDIR}/${PN}-21.31.20514-no_Werror.patch" )
src_configure() {
local mycmakeargs=(
-DBUILD_WITH_L0="$(usex l0)"
-DDISABLE_LIBVA="$(usex !vaapi)"
-DKHRONOS_GL_HEADERS_DIR="${ESYSROOT}/usr/include"
-DOCL_ICD_VENDORDIR="${EPREFIX}/etc/OpenCL/vendors"
# If enabled, tests are automatically run during
# the compile phase and we cannot run them because
# they require permissions to access the hardware.
-DSKIP_UNIT_TESTS="ON"
)
cmake_src_configure
}

@ -1 +1,2 @@
DIST libcbor-0.8.0.tar.gz 267044 BLAKE2B e8548e7351984ebdcbeb5f13a7ca35412c3f3f05e2a44a5438d57b90bdcdc51f5265953163106f90ade911a96af665956ebeba7ed1c48cf207acf6d683af5606 SHA512 694d2d3a78d80072f96e0afb73590ca1f3572e41d2117330ef4313ed06271743b048d3ba3259c6ffe9a802d5e441379d0e54787d1d42fed08dc81ac4f06c6dbc
DIST libcbor-0.9.0.tar.gz 275405 BLAKE2B 7e78722650c702552dda4844615c454989281abe8c45ba3c9168af16e9d440a1b7e4e0c9afd89faa48e74ba85dcbe0c7733eec3e44fdafc0ca340e97574fe274 SHA512 710239f69d770212a82e933e59df1aba0fb3ec516ef6666a366f30a950565a52981b0d46ca7e0eea739f5785d79cc21fc19acd857a4a0b135f4f6aa3ef5fd3b0

@ -0,0 +1,68 @@
# Copyright 2020-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
CMAKE_MAKEFILE_GENERATOR="emake"
PYTHON_COMPAT=( python3_{8..10} )
inherit python-any-r1 cmake
DESCRIPTION="CBOR protocol implementation for C and others"
HOMEPAGE="https://github.com/pjk/libcbor"
SRC_URI="https://github.com/PJK/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0/$(ver_cut 1-2)"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="+custom-alloc doc test"
BDEPEND="
doc? (
$(python_gen_any_dep '
dev-python/sphinx[${PYTHON_USEDEP}]
dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
dev-python/breathe[${PYTHON_USEDEP}]
')
)
test? ( dev-util/cmocka )
"
RESTRICT="!test? ( test )"
python_check_deps() {
has_version "dev-python/sphinx[${PYTHON_USEDEP}]" && \
has_version "dev-python/breathe[${PYTHON_USEDEP}]"
}
pkg_setup() {
use doc && python-any-r1_pkg_setup
}
src_configure() {
local -a mycmakeargs=(
-DCMAKE_BUILD_TYPE=Release
-DCBOR_CUSTOM_ALLOC=$(usex custom-alloc 'ON' 'OFF')
-DWITH_TESTS=$(usex test 'ON' 'OFF')
)
cmake_src_configure
}
src_compile() {
cmake_src_compile
if use doc; then
pushd doc >/dev/null || die
emake html man
popd >/dev/null || die
fi
}
src_install() {
cmake_src_install
if use doc; then
dodoc -r doc/build/html
doman doc/build/man/*
fi
}

@ -1,3 +1,2 @@
DIST libgudev-234.tar.xz 273244 BLAKE2B c0556988e37d5a5c48ba906b121d3c7a16c6a8ee4d05eb0e51913b9cde51bdc10966dcf8ceeccf62021dd8e47b004c85ed3412942d9d2bd5176d604931745f50 SHA512 cb01906d532b05cf8f69acdf80a8f05fbd4863fd98e88928b491e3657e60844f7ae6ca903ddd773fbea37268ff85d12719de47fd92a2f18b98fa2dbfe85e8151
DIST libgudev-236.tar.xz 28428 BLAKE2B cee5098f851183131db88812c8a985a3617fec7a2257f3c05ae0f06e423f15efa89801ef0c75cbb6e5ea9fb7a9db3c4d9215a3689e5d1ddb4832ef17442753cf SHA512 b00c30a7d57de8cca92a22f4c4da878c7cce448b1177858cc9ee0b99c5bc4fd0fbd01d8f4f9a9b9ef073af8f51c26533f2e7896c01ed9fed0a2bcfa6b2cfcbc2
DIST libgudev-237.tar.xz 29060 BLAKE2B 5d39d4d26d8c8b3fa877319c294036294dbda96b340d2d04d7a35449d91b58de876b96b5e3d9423cdf3e1d3e2a94f5a861b1ac1e74a610637e0fc66248c68309 SHA512 2d68981e3ba5c58ee080b6ed5cd5152c1c352b2bdb3ecb5eaf2b91f6800d3369121222a7fe4f82630aabd164069ee7276c52082b2fc2ff5f318481b85b25abc6

@ -1,44 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit gnome2 multilib-minimal
DESCRIPTION="GObject bindings for libudev"
HOMEPAGE="https://wiki.gnome.org/Projects/libgudev"
LICENSE="LGPL-2.1+"
SLOT="0/0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86"
IUSE="introspection"
DEPEND="
>=dev-libs/glib-2.38.0:2[${MULTILIB_USEDEP}]
>=virtual/libudev-199:=[${MULTILIB_USEDEP}]
introspection? ( >=dev-libs/gobject-introspection-1.31.1 )
"
RDEPEND="${DEPEND}
!sys-fs/eudev[gudev(-)]
!sys-fs/udev[gudev(-)]
!sys-apps/systemd[gudev(-)]
"
BDEPEND="
dev-util/glib-utils
>=dev-util/gtk-doc-am-1.18
virtual/pkgconfig
"
multilib_src_configure() {
local myconf=(
$(multilib_native_use_enable introspection)
--disable-static
--disable-umockdev # umockdev tests currently don't pass (might need extra setup)
)
local ECONF_SOURCE="${S}"
gnome2_src_configure "${myconf[@]}"
}
multilib_src_install() {
gnome2_src_install
}

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save